================================================================================
The following problems have been fixed in build XH0109
================================================================================

MergeProjectSVN: Xhosa: # 54177 (BSVN46157): Port BSVN45965 to Xhosa and Yukar

Problem Description (Customer terms)
When entering text in a text field, if the text happens to have a colon in it and no spaces, it is turned into a link, while it is not a valid link at all.

================================================================================
The following problems have been fixed in build XH0108
================================================================================

MergeProjectSVN: Xhosa: # 54128 (BSVN46101): client2server hangup

Problem Description (Customer terms)
In session "External Scheduling Interface (tppss2231m000)" when an import from an XML file
from the client is done, the WebUI ends in a hangup.


MergeProjectSVN: Xhosa: # 54126 (BSVN46099): Text file transfer to client fails

Problem Description (Customer terms)
A text file transfer to the client sometimes fails with an
index out of bounds exception. This can occur for instance when printing
to a local printer using BWPRINT or when printing to Wordpad.

Motive source
Infor365:347896 and 348582

================================================================================
The following problems have been fixed in build XH0107
================================================================================

MergeProjectSVN: Xhosa: # 53820 (BSVN45699): Adding of jdic jars to jnlp files for LNCSA-721

Problem Description (Customer terms)
Adding of jdic jars to jnlp files for LNCSA-721

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53810 (BSVN45664): Reintroduce JWS Support - LNCSA-721

Problem Description (Customer terms)
Reintroduce JWS Support - LNCSA-721

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53349 (BSVN45053): the dialog to show only the fixed fonts now show all fonts

Problem Description (Customer terms)
The fonts that support chinese characters are now shown in the Fixed Font dialog chooser.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53282 (BSVN45001): Backport of BSVN44850

Problem Description (Customer terms)
After session tdsls4830s000 is closed the focus is not set in tdsls4100m900.

Motive source
Infor 365: 343024

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53247 (BSVN44913): Need to press tab twice in the product configurator

Problem Description (Customer terms)
Need to press tab twice in the product configurator. Pressing tab once should be sufficient to go to the next line. Pressing tab at the last visible field should also automatically scroll to the next field.

Motive source
Infor 365: 327572

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53230 (BSVN44936): Prevent hanging threads when browser closed

Problem Description (Customer terms)
When a request is pending (waiting for completion on the backend) and via another thread a close on this JCA connection is done, this close will wait until the request has completed.
This can result in waiting threads in the WebUI when Bshells for some reason end in a hangup situation.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53186 (BSVN44892): convert arabic properties files

Problem Description (Customer terms)
convert arabic properties files to UTF-8

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53148 (BSVN44844): User context pool on the server can dead lock

Date: Thu, 19 Jan 2012 17:21:46 +0100 (CET)

Created on:  Xhosa
Type:        bugfix

Problem Description (Customer terms)
User context pool on the server can dead lock. As a consequence no users will be able to login since they cannot obtain a user context anymore.


--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53129 (BSVN44821): Changed some dialog handling

Problem Description (Customer terms)
Vertical Grid test failes
Problem Description (Technical terms)
Vertical Grid test failes


--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53121 (BSVN44803): Adding language files

Problem Description (Customer terms)
Adding updated language files

Problem Description (Technical terms)
Adding updated language files

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53114 (BSVN44719): Copy file to client corrupts client file

Problem Description (Customer terms)
When a file is copied from the server to the client, the client file becomes
too large and might contain wrong information. This only occurs with text files larger than 50K bytes.

Problem Description (Technical terms)
Only occurs when sever2client() is used with the parameter text.mode set to true.
The WebUI did not handle this correctly resulting in a corrupt file on the client. 

This also solves a BWPRINT problem that caused garbled and duplicated output to the printer. 

Motive source
TCS: 800-180806


--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53107 (BSVN44777): Remove `No Session was started` message

Problem Description (Customer terms)
Remove 'No Session was started' message.


--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53023 (BSVN44693): Addition of language property files

Problem Description (Customer terms)
Addition of language property files

Problem Description (Technical terms)
Addition of language property files



--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53006 (BSVN44682): Addition of translated properties files

Problem Description (Customer terms)
Addition of translated properties files

Problem Description (Technical terms)
Addition of translated properties files

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 53003 (BSVN44670): Prevent thread hangup during filetransferr

Problem Description (Customer terms)
Sometimes a thread seems to be stuck on the WebUI server. This seems to be releated to a filetranfer action.

Problem Description (Technical terms)
The server trace file contains milions of the following lines in this situation:

80109DEBUG DsMessageServer 2011-12-12 11:06:31,477 [http-8312-13] - Leave: getReadReply()
80109DEBUG DsMessageServer 2011-12-12 11:06:31,477 [http-8312-13] - Enter: getReadReply()
80109DEBUG DsMessageServer 2011-12-12 11:06:31,477 [http-8312-13] - Leave: getReadReply()
80109DEBUG DsMessageServer 2011-12-12 11:06:31,477 [http-8312-13] - Enter: getReadReply()
80109DEBUG DsMessageServer 2011-12-12 11:06:31,477 [http-8312-13] - Leave: getReadReply()
...

This probably occurs when the connection to the backend is broken while there is a filetransfer action
proceeding.

This issue is fixed in the WebUI server code.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52988 (BSVN44657): Revert to the proper icons

Problem Description (Customer terms)
Revert to the proper icons

Problem Description (Technical terms)
Revert to the proper icons

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52984 (BSVN44650): Enhancing some icons

Problem Description (Customer terms)
Some icons in the grid had an undesired white background and some edges were wrong.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52979 (BSVN44649): font change for header

Problem Description (Customer terms)
Font change for header

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52966 (BSVN44633): change mandatory indication icon with transparent background.

Problem Description (Technical terms)
change mandatory indication icon with transparent background

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52965 (BSVN44624): Open profile

Problem Description (Customer terms)
Nowhere in WebUI it is visible that a user profile is opened read only. 

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52964 (BSVN44625): open slim browser maximized

Problem Description (Customer terms)
The open profile should be open in a new maximized browser window

Problem Description (Technical terms)
open slim browser maximized

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52954 (BSVN44606): Allow starting multiple workbench applications

Problem Description (Customer terms)
It is not possible to have more than one instance of the same Workbench session open
in a browser.


Problem Description (Technical terms)
This was restricted because the Workbench Silverlight code could not distinguish between different
instances of the same application (shared session cookie). This is now resolved by passing a conid parameter
in the startup url which is further used by the Silverlight code and passed with each request to the IIS WebApplication.

Motive source
LNCSA-667

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52950 (BSVN44586): DEM processes do not remember their scroll position

Problem Description (Customer terms)
DEM processes do not remember their scroll positions. When drilling through different processes, going back should result in the same scroll positions as it was previously.

Motive source
Infor365: 335588

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52932 (BSVN44582): Fix for environment selection 800-180643

Problem Description (Customer terms)
Fix for environemnt selection 800-180643

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52931 (BSVN44584): When menu cache is corrupt WebUI does not start at all

Problem Description (Customer terms)
When menu cache is corrupt WebUI does not start at all.

Motive source
TCS: 800-180630

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52930 (BSVN44585): Add early enabling of tracing

Problem Description (Customer terms)
Add early enabling of tracing

Problem Description (Technical terms)
Add early enabling of tracing

--------------------------------------------------------------------------------


MergeProjectSVN: Xhosa: # 52925 (BSVN44577): Fix for shortcut selection - 800-180638

Problem Description (Customer terms)
Fix for shortcut selection - 800-180638

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52919 (BSVN44571): tcs 800-180690 - Problem editing shortcuts

Problem Description (Customer terms)
Unable to right click on a shortcut to edit it.

Problem Description (Technical terms)
A nullpointer exception occur when the user try to edit a shortcut.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52916 (BSVN44569): Easy Filtering Change

Problem Description (Customer terms)
Easy Filtering Change

Problem Description (Technical terms)
Easy Filtering Change

Motive source
TCS:800-180672

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52915 (BSVN44568): changed the bullet icon.

Problem Description (Technical terms)
changed the bullet icon

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52913 (BSVN44561): Selection indication does not switch in Framework

Problem Description (Customer terms)
Selection indication does not switch in Framework in CommonUI

Problem Description (Technical terms)
Selection indication does not switch in Framework in CommonUI

Motive source
TCS:800-180675

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52908 (BSVN44558): fixed the close button for the dialogs.

Problem Description (Technical terms)
fixed the close button for the dialogs.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52903 (BSVN44538): TCS remark 800-180629: open profile in new browser window without status, tool and address bars.

Problem Description (Customer terms)
The open profile should be shown in a new browser window without tool, address and status bars.

Problem Description (Technical terms)
 TCS remark 800-180629: open profile in new browser window without status, tool and address bars.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52902 (BSVN44551): Removal background file.save_and_close buttons

Problem Description (Customer terms)
Removal background file.save_and_close buttons

Problem Description (Technical terms)
Removal background file.save_and_close buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52898 (BSVN44544): Merge of BSVN44529 and size reduction of icons

Problem Description (Customer terms)
Merge of BSVN44529 and size reduction of icons

Problem Description (Technical terms)
Merge of BSVN44529 and size reduction of icons

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52895 (BSVN44534): Malformed buttons in bidi with Classic UI

Problem Description (Customer terms)
Malformed buttons in bidi with Classic UI

Problem Description (Technical terms)
Malformed buttons in bidi with Classic UI

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52887 (BSVN44528): removed setName from CommonUIButtonUI to run InitialHiddenMoPersonalizationTest unit test.

Problem Description (Technical terms)
removed setName from CommonUIButtonUI to run InitialHiddenMoPersonalizationTest unit test

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52879 (BSVN44520): Icons missing

Problem Description (Customer terms)
Open details icon missing in tdsls4100m900 - Monitor satellite - second tab

Problem Description (Technical terms)
Open details icon missing in tdsls4100m900 - Monitor satellite - second tab

Motive source
TCS:800-180541

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52877 (BSVN44505): tcs 800-180536: Selection causing background changes to record

Problem Description (Customer terms)
Problem related with the selection of the records in the grids. 

Problem Description (Technical terms)
tcs 800-180536: Selection causing background changes to record.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52876 (BSVN44512): Selection indication does not switch in Framework (2)

Problem Description (Customer terms)
Selection indication does not switch in Framework (2)

Problem Description (Technical terms)
Selection indication does not switch in Framework (2)

Motive source
TCS:800-180594

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52875 (BSVN44485): Allow more characters in easy filter field

Problem Description (Customer terms)
In an easy filter field it is not possible to enter more characters than the field allows.
Hence it is not possible to use operators on values using all the character spaces.

Problem Description (Technical terms)
The size of the easy filter fields was set to the number of allowed characters on the field. This way it is easier for users to enter values that are using all characters. But this stops the user from entering operators if a whole value is entered.
The limit will be set to the number of characters of the field + 2. If no operators characters have been entered the number of characters will be limited to the number of characters of the field.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52872 (BSVN44510): Some additional fixes in language files

Problem Description (Customer terms)
Some additional fixes in language files

Problem Description (Technical terms)
Some additional fixes in language files

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52871 (BSVN44511): fixed TAB in multiline textbox

Problem Description (Customer terms)
TAB in multiline textbox not working

Problem Description (Technical terms)
fixed TAB in multiline textbox

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52870 (BSVN44503): Backend Startup Sessions do not start

Problem Description (Customer terms)
Backend Startup Sessions do not start

Problem Description (Technical terms)
Backend Startup Sessions do not start

Motive source
TCS:800-180548

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52864 (BSVN44498): Adding New Shortcut defaults to Areas session

Problem Description (Customer terms)
Adding New Shortcut defaults to Areas session

Problem Description (Technical terms)
Adding New Shortcut defaults to Areas session

Motive source
TCS:800-180556

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52860 (BSVN44496): Horizontal scrollbar in non-bidi environment pointing wrong

Problem Description (Customer terms)
Horizontal scrollbar in non-bidi environment pointing wrong

Problem Description (Technical terms)
Horizontal scrollbar in non-bidi environment pointing wrong

Motive source
TCS:800-180567

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52857 (BSVN44488): Personalization dialog sometimes hangs

Problem Description (Customer terms)
Personalization dialog sometimes hangs.

Motive source
TCS: 800-180555

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52855 (BSVN44478): Hotkey missing in French

Problem Description (Customer terms)
Hotkey missing for Specifique in French

Problem Description (Technical terms)
Hotkey missing for Specifique in French

Motive source
SOL:338486

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52854 (BSVN44486): Fix for 800-180561 JNLPBuilderServlet correcting ssl protocol key

Problem Description (Customer terms)
Fix for 800-180561 JNLPBuilderServlet correcting ssl protocol key

Motive source
TCS:800-180561

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52844 (BSVN44449): Fix for 800-180537 - signing out

Problem Description (Customer terms)
Fix for 800-180537 - signing out

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52843 (BSVN44454): Selection indication does not toggle in Options menu

Problem Description (Customer terms)
Selection indication does not toggle in Options menu

Problem Description (Technical terms)
Selection indication does not toggle in Options menu

Motive source
TCS:800-180496

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52824 (BSVN44439): BIDI: the document icon in LN Dashboards are not flipped

Problem Description (Customer terms)
BIDI: the document icon in LN Dashboards are not flipped

Motive source
TCS:800-180138

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52821 (BSVN44385): Doeing a file.new in whinh0110m000 results in a hanging WebUI

Problem Description (Customer terms)
Doeing a file.new in whinh0110m000 results in a hanging WebUI.

Motive source
Infor365: 336615

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52820 (BSVN44448): Commit fix for 800-180453

Problem Description (Customer terms)
Commit fix for 800-180453 (support for old .jnlp files for JWS) - after merge conflict

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52799 (BSVN44425): Print preview button location in classic UI mode

Problem Description (Customer terms)
Print preview button location in classic UI mode

Motive source
TCS:800-180479

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52781 (BSVN44389): Removed ClientLogging as this is for developer use only for jws

Problem Description (Customer terms)
Remoevd ClientLogging as this is for developer use only for jws

Motive source
TCS:800-180300

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52769 (BSVN44382): Wrong reference in onfci.bat and offci.bat

Problem Description (Customer terms)
Wrong reference in onfci.bat and offci.bat

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52766 (BSVN44383): Icons in Personalize are shown in its hover state

Problem Description (Customer terms)
Icons in Personalize are shown in its hover over color

Motive source
TCS:800-180341

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52763 (BSVN44362): dropdown button position wrong

Problem Description (Customer terms)
dropdown button position wrong in right to left languages

Motive source
TCS:800-108341

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52743 (BSVN44302): 365 defect 36806 - change the splitter for Standard UI

Problem Description (Customer terms)
365 defect 36806 - change the splitter for Standard UI

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52741 (BSVN44359): Updat help icons for hebrew

Problem Description (Customer terms)
Update help icons for hebrew

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52740 (BSVN44332): Horizontal scroll buttons are pointing the wrong way

Problem Description (Customer terms)
Horizontal scroll buttons are pointing the wrong way

Motive source
TCS:800-180233

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52732 (BSVN44347): Fix Windows Classic skin icons on Windows 7

Problem Description (Customer terms)
On some dialogs, the Close and Maximize buttons on the Windows Classic skin are inconsistent with the other skins.

Motive source
Infor365:333061

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52726 (BSVN44344): defect 800-180382 fix for the ctrl + click

Problem Description (Customer terms)
Ctrl + click behaviour fixed

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52716 (BSVN44316): images of split buttons and menu buttons not flipped

Problem Description (Customer terms)
images of split buttons and menu buttons not flipped

Motive source
TCS:800-180111

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52715 (BSVN44324): turkish support for webtop

Problem Description (Customer terms)
Added turkish language support for webtop

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52705 (BSVN44310): Add extra URLs to LinkStyledDocument

Problem Description (Customer terms)
Certain URLs are not recognized and linkified in text fields

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52697 (BSVN44305): client2server with large file results in out of memory

Problem Description (Customer terms)
client2server with large file results in out of memory

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52693 (BSVN44299): Filter on item code not working in whinh3822m000

Problem Description (Customer terms)
Filter on item code not working in whinh3822m000 if one immediately presses the apply-button after filling in the second item field.

Motive source
Infor365: 335897

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52692 (BSVN44290): Fixed 800/180299 Column moval and text moving

Problem Description (Customer terms)
Fix for 800/180299 Column and text moval

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52684 (BSVN44289): Remove printing of exception

Problem Description (Customer terms)
Removing of printing exception

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52683 (BSVN44247): Progress indicator on filetransfer

Problem Description (Customer terms)
When using the progress indicator within the function server2client(), it is not possible to stop this process.
In Worktop/BW this is possible. The STOP button is not shown

Motive source
TCS:800-179074

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52682 (BSVN44287): 365 defect 329116, menu images not showing in standard ui

Problem Description (Customer terms)
365 defect 329116, menu images not showing in standard ui

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52680 (BSVN44286): Fix for inter start session app

Problem Description (Customer terms)
Fix for inter start session app

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52678 (BSVN44283): Fixed file retrieval for inter start session

Problem Description (Customer terms)
Fixed file retrieval

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52676 (BSVN44282): Fix 800 180145 Wrong icons

Problem Description (Customer terms)
Fix for 800/180145 Wrong icons

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52675 (BSVN44280): Added extra debugging for the inter start session application

Problem Description (Customer terms)
Added extra debugging for the inter start session application

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52674 (BSVN44274): Added extra exception check

Problem Description (Customer terms)
Added extra exception check for inter start session

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52667 (BSVN44264): Fix pointless notification in Help

Problem Description (Customer terms)
Every time when opening help, a dialog with "This topic cannot be located in the Navigation Area" pops up.

Motive source
Infor365:334993

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52665 (BSVN44270): Missing icons

Problem Description (Customer terms)
Missing icons

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52652 (BSVN44230): images of split buttons and menu buttons not flipped

Problem Description (Customer terms)
images of split buttons and menu buttons not flipped

Motive source
TCS:800-180111

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52643 (BSVN44223): Fix personalization of forms

Problem Description (Customer terms)
The label style of checkboxes and option sets (radio buttons) in forms can not be personalized.

Motive source
Infor365:332092

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52642 (BSVN44240): Completion of LNCSA-525

Problem Description (Customer terms)
Completion of LNCSA-525

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52641 (BSVN44224): Pressing the New button results in a message box that the record already exists

Problem Description (Customer terms)
Pressing the New button results in a message box that the record already exists.

Motive source
Infor365: 334157

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52637 (BSVN44244): Available local printers are not shown if RDP is used

Problem Description (Customer terms)
If we connect via Remote Desktop to a machine with WebUI running and start a 
print session, the local printers are not shown. 
If we look on the machine itself, they are displayed.
Note that even if there are no local printers, the special one Advanced Device 
and Preview should still be there.

Motive source
TCS:800-180132

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52634 (BSVN44226): Add Reader and Writer for client data for Remove JWS

Problem Description (Customer terms)
Add reader and writer for client data for Remove JWS

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52632 (BSVN44238): Added baseURL and environment to JNLPBuilderServlet arguments

Problem Description (Customer terms)
Added baseURL and environment to JNLPBuilderServlet arguments

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52629 (BSVN44201): Prevent starting WebUI twice in WebPart

Problem Description (Customer terms)
When two ERPLN WebParts in Workspace are defined, both start showing the "Profile Selection" dialog.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52616 (BSVN44227): Icons different when in guitest mode

Problem Description (Customer terms)
Icons different when in guitest mode

Motive source
TCS:800-180291

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52615 (BSVN44213): Re-write of JNLPBuilderServlet

Problem Description (Customer terms)
Re-write of JNLPBuilderServlet to load new Intermediate Start Session application

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52611 (BSVN44203): tfgld3525m000 does not display the splitter

Problem Description (Customer terms)
tfgld3525m000 does not display the splitter. Also dragging the splitter down results in strange behaviour in that the grid becomes smaller and smaller resulting in a grid with far too less records.

Motive source
Infor365: 317350

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52610 (BSVN44220): Fix alignment of some grid column headers

Problem Description (Customer terms)
The alignment of certain column headers does not match the alignment of the column data (TCS #800-180026).

Motive source
TCS:800-180026

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52604 (BSVN44209): Implement LNCSA-423

Problem Description (Customer terms)
Links such as ftp://server/path are not linkified in edit fields.

Motive source
ScrumStory:LNCSA-423

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52602 (BSVN44212): Added comments

Problem Description (Customer terms)
Added comments

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52601 (BSVN44210): Changed label from Save and Submit to Submit

Problem Description (Customer terms)
Changed label from Save and Sumit to Submit

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52600 (BSVN44188): Intermediate Start Session application written for LNCSA-525

Problem Description (Customer terms)
Intermediate Start Session application written for LNCSA-525

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52577 (BSVN44177): Completion of sections 2.1 and 2.2 of LNCSA-525 - Phase out Java Web Start

Problem Description (Customer terms)
Completion of sections 2.1 and 2.2 of LNCSA-525 - Phase out Java Web Start

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52520 (BSVN44103): calendar dont scale well with the container size

Problem Description (Customer terms)
calendar dont scale well with the container size

Motive source
TCS:800-180003

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52505 (BSVN44109): Cannot switch tab when in insert mode

Problem Description (Customer terms)
Cannot switch to another tab when inserting records in the grid.

Motive source
TCS: 179935

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52498 (BSVN44053): Remember Question Selection support

Problem Description (Customer terms)
Remember Question Selection support

Motive source
ScrumStory:LNPLA-822

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52497 (BSVN44100): Print-to-display PDF sometimes crashes

Problem Description (Customer terms)
Print-to-display PDF sometimes crashes.

Motive source
TCS: 800-180161

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52493 (BSVN44062): Cannot select all fixed fonts in the font selection dialog

Problem Description (Customer terms)
 - Cannot select all fixed fonts in the font selection dialog.
 - The import and export shortcuts dialog does not work in the Metal skin.

Motive source
Infor365: 333232
Infor365: 326239

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52486 (BSVN44093): Little fix because of MUSH timing

Problem Description (Customer terms)
Little fix because of MUSH timing

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52469 (BSVN44078): Display only textbox in Corporate skinn too pronounced

Problem Description (Customer terms)
Display only textbox in Corporate skinn too pronounced

Motive source
TCS:800-180121

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52456 (BSVN44066): Box around a hidden listbox is flat

Problem Description (Customer terms)
Box around a hidden listbox is flat

Motive source
TCS:800-180116

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52446 (BSVN44051): Unwanted white space between session frame and workbench

Problem Description (Customer terms)
Unwanted white space between session frame and workbench

Motive source
TCS:800-180077

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52435 (BSVN44043): Data Language is not displayed properly in sessions through WebUI

Problem Description (Customer terms)
Data Language is not displayed properly in sessions through WebUI

Motive source
Infor365:332620

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52426 (BSVN44023): new group images

Problem Description (Customer terms)
New group images (2nd new set)

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52418 (BSVN44017): Read only fields Disabled fields

Problem Description (Customer terms)
Read only fields Disabled fields

Motive source
ScrumStory:LNCSA-513

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52401 (BSVN44014): WebUI title displays Infor twice

Problem Description (Customer terms)
WebUI title displays Infor twice

Motive source
Infor365:330253

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52383 (BSVN43585): bidi support

Problem Description (Customer terms)
support for multi language icons

Motive source
ScrumStory:LNCSA-589

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52382 (BSVN43995): Changed Group to View for common ui group navigation

Problem Description (Customer terms)
Changed "Group" to "View" for common ui group navigation

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52370 (BSVN43990): Fix for Grid focus 800/179953

Problem Description (Customer terms)
Fix for Grid focus 800/179953

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52365 (BSVN43983): New Group images

Problem Description (Customer terms)
New group images

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52362 (BSVN43984): escrow target in build.xml of bfe_setup does not copy all required files

Problem Description (Customer terms)
escrow target in build.xml of bfe_setup does not copy all required files

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52356 (BSVN43971): add document authorization menu items and button

Problem Description (Customer terms)
LNPLA-821: document authorization menu items and command added

Motive source
ScrumStory:LNPLA-821

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52351 (BSVN43950): Fix for 800/179915, a bidi change

Problem Description (Customer terms)
Fix for 800/179915

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52347 (BSVN43858): remove temporary profile after start screen employee

Problem Description (Customer terms)
Remove temporary profile after start screen employee. That was not happening correctly.

Motive source
Infor365:309655

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52339 (BSVN43940): Defect 800/179715 Too many columns

Problem Description (Customer terms)
Defect 800/179715 Too many columns

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52332 (BSVN43780): Text length restriction, not based on data sent.

Problem Description (Customer terms)
Text length restriction, not based on data sent.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52319 (BSVN43914): Bidi fix for menu items 800 / 179824

Problem Description (Customer terms)
Bidi fix for menu items 800/179824

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52263 (BSVN43853): Feature to size grid columns according to content when double clicking the separator

Problem Description (Customer terms)
Feature to size grid columns according to content when double clicking the separator

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52257 (BSVN43829): Calendar first day of week consistent with worktop

Problem Description (Customer terms)
Calendar first day of week consistent with worktop

Motive source
ScrumStory:LNCSA-619

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52251 (BSVN43839): added back export=true to the framework-server projects .classpath

Problem Description (Customer terms)
Added back the export=true to the framework-server projects .classpath

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52244 (BSVN43818): Special characters force restart of application

Problem Description (Customer terms)
Special characters force restart of application

Motive source
TCS:800-179837

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52237 (BSVN43799): Cannot drag drop shortcuts from one group to another

Problem Description (Customer terms)
Cannot drag drop shortcuts from one group to another group in the shortcut bar of WebUI.

Motive source
Infor365: 325329

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52202 (BSVN43778): Removed quotations around the result for BSE_TMP

Problem Description (Customer terms)
Removed quotations around the result for BSE_TMP

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52188 (BSVN43759): Closing dialogs in Infor10 Workspace moves the focus to the first field of the underlying dialog

Problem Description (Customer terms)
Closing dialogs in Infor10 Workspace moves the focus to the first field of the underlying dialog. It should move the focus to field where the focus was before the dialog was started.

Motive source
TCS: 800-179825

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52184 (BSVN43756): Some problems When using skin Blue in user profile in WebUI

Problem Description (Customer terms)
Some problems When using skin Blue in user profile in WebUI

Motive source
Infor365:330609

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52174 (BSVN43747): insert bw command line in about info

Problem Description (Customer terms)
Insert bw command line in about info

Motive source
TCS:800-179189

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52170 (BSVN43740): Story for fixing Defect 800/171711

Problem Description (Customer terms)
Story for fixing Defect 800/171711

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52168 (BSVN43739): Tabbing out of first field in a just added line in a MMT session results in a focus change to the header

Problem Description (Customer terms)
Tabbing out of first field in a just added line in a MMT session results in a focus change to the header.

Motive source
Infor365: 330120

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52159 (BSVN43731): TCS 800/179818: fix for keystore update when multiple FQDNs

Problem Description (Customer terms)
On the admin console, the update of the BaanLogin SSL keystores at WebUI server and backend
may fail if the WebUI server is known by more than one Fully Qualified Domain Name: instead
of update (adding a new certificate) the keystore is rebuilt.

Motive source
TCS 800/179818

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52158 (BSVN43723): No indicator as to color selection for Field Personalizations

Problem Description (Customer terms)
No indicator as to color selection for Field Personalizations

Motive source
Infor365:327318

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52157 (BSVN43713): Grid in insert mode is not adding lines automatically if one tabs out of the last added line

Problem Description (Customer terms)
Grid in insert mode is not adding lines automatically if one tabs out of the last added line.

Motive source
TCS: 800-179759

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52139 (BSVN43705): Tab not highlighted in MMT when dynamically enabled/disabled

Problem Description (Customer terms)
Tab not highlighted in MMT when dynamically enabled/disabled

Motive source
TCS:800-179727

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52132 (BSVN43711): WebUI cannot show dates formatted as dd-MMM-yyyy

Problem Description (Customer terms)
 - WebUI cannot show dates formatted as dd-MMM-yyyy. They are shown as dd-MM-yyyy formatted dates.
 - WebUI sends wrong pagebreaks to the printer if a print-to-display is being printed.

Motive source
Infor365: 329689
Infor365: 328708

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52114 (BSVN43684): Easy filter grid CommonUI focus handling

Problem Description (Customer terms)
Easy filter grid CommonUI focus handling

Motive source
ScrumStory:LNCSA-614

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52111 (BSVN43683): User can hide field even when not allowed

Problem Description (Customer terms)
User can hide field even when not allowed

Motive source
TCS:800-179697

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52090 (BSVN43665): Cannot tab anymore after a file.new

Problem Description (Customer terms)
Cannot tab anymore after a file.new in session tfcmg2120s000. This happens when the focus was on the second tab and file.new is pressed.

Motive source
Infor365: 323412

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52073 (BSVN43640): Help invocation from Workbench error

Problem Description (Customer terms)
When trying to invoke session help from a Workbench application
a JavaScript exception occurs and no help is shown.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52072 (BSVN43635): Changed common ui table header colour

Problem Description (Customer terms)
Changed commonn ui table header colour

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52064 (BSVN43620): Fix for 800/179740 Fixed font default

Problem Description (Customer terms)
Fix for 800/179740 , fixed font default

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52062 (BSVN43592): DEM shortcuts in Infor10 Workspace do not work

Problem Description (Customer terms)
DEM shortcuts in Infor10 Workspace are not started as DEM sessions but as normal ERP sessions.

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52048 (BSVN43602): Implementation of LNCSA-487 - sending client current directory to 4GL

Problem Description (Customer terms)
Implementation of LNCSA-487 - sending client current directory to 4GL

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52020 (BSVN43583): fix for white mouse over on large buttons

Problem Description (Customer terms)
Fix for white text on mouse over of Large Buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52017 (BSVN43575): Fix for 800-179709 Infinite painting loop

Problem Description (Customer terms)
Fix for 800-179709, Infinite painting loop

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52011 (BSVN43551): grid layout when showing filter

Problem Description (Customer terms)
When hiding/showing the filter row the number of gridlines were not calculated correctly.

Motive source
TCS:800-179655

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52003 (BSVN43491): Easy filter looses focus after TAB

Problem Description (Customer terms)
Easy filter looses focus after TAB

Motive source
TCS 800-179653

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 52000 (BSVN43543): Changed common ui ximage images for delete and open directory

Problem Description (Customer terms)
Changed common ui ximages for delete and open directory

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51996 (BSVN43540): Changed alert icon for common ui

Problem Description (Customer terms)
Changed alert icons for common ui

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51989 (BSVN43532): TAB focus traversal changed

Problem Description (Customer terms)
TAB focus traversal changed

Motive source
Infor365:327572

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51976 (BSVN43516): Cannot put a double quote in a filter

Problem Description (Customer terms)
Cannot put a double quote in a filter.

Motive source
TCS: 800-179584

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51961 (BSVN43510): fix focus problem in common ui in the filter save dialog

Problem Description (Customer terms)
Fix focus problem in common ui in the fliter save dialog

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51956 (BSVN43498): List of support applications is not shown if corresponding icon is pressed inside a process in Infor10 Workspace

Problem Description (Customer terms)
List of support applications is not shown in the process viewer if corresponding icon is pressed inside a process in Infor10 Workspace.

Motive source
TCS: 800-178385

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51955 (BSVN43410): Start Workbench application in separate browser window

Problem Description (Customer terms)
Start a Silverlight desk from the top nav menu by using Ctrl-Click. 
A separate window is opened but the contents of the dialog is painted in the parent window in the browser. 

It should be possible to run the SIlverlight Desks outside the browser

Motive source
TCS:800-179532

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51943 (BSVN43447): Export menu access key missing

Problem Description (Customer terms)
Export menu access key missing

Motive source
Infor365:326239

--------------------------------------------------------------------------------

MergeProjectSVN: Xhosa: # 51942 (BSVN43471): Removed some warnings and added some svn.ignores

Problem Description (Customer terms)
Removed some warnings and added some svn.ignores


================================================================================
The following problems have been fixed in build WA0094
================================================================================

MergeProjectSVN: Walz: # 52578 (BSVN44185): Backport of BSVN43739: Tabbing out of first field in a just added line in a MMT session results in a focus change to the header.

Problem Description (Customer terms)
Tabbing out of first field in a just added line in a MMT session results in a focus change to the header.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52159 (BSVN43731): TCS 800/179818: fix for keystore update when multiple FQDNs

Problem Description (Customer terms)
On the admin console, the update of the BaanLogin SSL keystores at WebUI server and backend
may fail if the WebUI server is known by more than one Fully Qualified Domain Name: instead
of update (adding a new certificate) the keystore is rebuilt.

Motive source
TCS 800/179818

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52077 (BSVN43649): Change version number to 10.1

Problem Description (Customer terms)
Change version number to 10.1

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52074 (BSVN43643): Fix for (BSVN43629): WebUI latest translation files

Problem Description (Technical terms)
English resources were accidently replaced by Chinese texts.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52073 (BSVN43640): Help invocation from Workbench error

Problem Description (Customer terms)
When trying to invoke session help from a Workbench application
a JavaScript exception occurs and no help is shown.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52072 (BSVN43635): Changed common ui table header colour

Problem Description (Customer terms)
Changed commonn ui table header colour

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52064 (BSVN43620): Fix for 800/179740 Fixed font default

Problem Description (Customer terms)
Fix for 800/179740 , fixed font default

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52062 (BSVN43592): DEM shortcuts in Infor10 Workspace do not work

Problem Description (Customer terms)
DEM shortcuts in Infor10 Workspace are not started as DEM sessions but as normal ERP sessions.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52020 (BSVN43583): fix for white mouse over on large buttons

Problem Description (Customer terms)
Fix for white text on mouse over of Large Buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52017 (BSVN43575): Fix for 800-179709 Infinite painting loop

Problem Description (Customer terms)
Fix for 800-179709, Infinite painting loop

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52003 (BSVN43491): Easy filter looses focus after TAB

Problem Description (Customer terms)
Easy filter looses focus after TAB

Motive source
TCS 800-179653

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 52000 (BSVN43543): Changed common ui ximage images for delete and open directory

Problem Description (Customer terms)
Changed common ui ximages for delete and open directory

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51996 (BSVN43540): Changed alert icon for common ui

Problem Description (Customer terms)
Changed alert icons for common ui

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51976 (BSVN43516): Cannot put a double quote in a filter

Problem Description (Customer terms)
Cannot put a double quote in a filter.

Motive source
TCS: 800-179584

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51956 (BSVN43498): List of support applications is not shown if corresponding icon is pressed inside a process in Infor10 Workspace

Problem Description (Customer terms)
List of support applications is not shown in the process viewer if corresponding icon is pressed inside a process in Infor10 Workspace.

Motive source
TCS: 800-178385

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51955 (BSVN43410): Start Workbench application in separate browser window

Problem Description (Customer terms)
Start a Silverlight desk from the top nav menu by using Ctrl-Click. 
A separate window is opened but the contents of the dialog is painted in the parent window in the browser. 

It should be possible to run the SIlverlight Desks outside the browser

Motive source
TCS:800-179532

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51943 (BSVN43447): Export menu access key missing

Problem Description (Customer terms)
Export menu access key missing

Motive source
Infor365:326239

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51915 (BSVN43439): send correct value on easy filter value

Problem Description (Customer terms)
Send correct value on easy filtering save

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51913 (BSVN43409): Filter saved to backend for common ui

Problem Description (Customer terms)
Filter settings saved to ERP LN in the case of common ui.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51912 (BSVN43430): Make DEM shortcuts version independant

Problem Description (Customer terms)
DEM shortcuts should be version independant.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51902 (BSVN43388): Missing accesskeys

Problem Description (Customer terms)
Missing mnemonics (access keys) in menus

Motive source
Infor365:318284

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51900 (BSVN43411): Printing to display and PDF shows dates in the wrong format

Problem Description (Customer terms)
Print to display and print to PDF shows dates in the wrong format.

Motive source
Infor365: 326605

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51890 (BSVN43406): Menu fetching hangup during startup

Problem Description (Customer terms)
When a small user menu is defined on the backend and running WebUI inside
Infor10 Workspace, sometimes the WebUI ends in a hangup while fetching the backend menu.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51880 (BSVN43389): Composite sessions have wrong titles

Problem Description (Customer terms)
Composite sessions have wrong titles.

Motive source
Infor365: 322426

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51869 (BSVN43376): check on timefields

Problem Description (Customer terms)
check on time fields not correct

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51863 (BSVN43357): Deselect selected saved filter on Clear Filter in the common ui

Problem Description (Customer terms)
Deselect selected saved filter on Clear Filter in the common ui

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51846 (BSVN43355): No Longer Able to Print to RPT

Problem Description (Customer terms)
No Longer Able to Print to RPT

Motive source
Infor365:324975

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51844 (BSVN43349): Fix for 800/179425

Problem Description (Customer terms)
Fix for 800/179425 Selecting colour in conditional formatting

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51840 (BSVN43321): Fix for the Show Filter Rows that it displays the correct value

Problem Description (Customer terms)
Fix for the Show Filter Rows that it displays the tick at the correct times according to the User Profile

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51834 (BSVN43338): Pressing file.new twice results in a hanging cursor

Problem Description (Customer terms)
Pressing file.new twice results in a hanging cursor, i.e. pressing tab does not move the cursor to the next field.

Motive source
TCS: 800-179376

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51831 (BSVN43320): Checking links in all help content results in 100 percent broken links

Problem Description (Customer terms)
Checking links in the WebUI admin console for all help content results in 100 percent broken links.

Motive source
Infor365: 326158

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51827 (BSVN43209): Adding a new sales order line and pressing tab sometimes results in a continuously jumping cursor

Problem Description (Customer terms)
Adding a new sales order line and pressing tab sometimes results in a continuously jumping cursor.

Motive source
Infor365: 324121

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51814 (BSVN43297): Utility for testing external message handling in WebUI

Problem Description (Customer terms)
Utility for testing external message handling in WebUI

Motive source
ScrumStory:LNST-1605

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51783 (BSVN43249): GBF problem, autofocus

Problem Description (Customer terms)
When opening a GBF node, while the selected node does not fit in the scroll view window, webui no longer let the screen jump to the selected node, but keeps it as it was.

Motive source
TCS:800-179352

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51765 (BSVN43244): auto complete trigger buttons

Problem Description (Customer terms)
auto complete trigger buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51761 (BSVN43216): Common UI Enhancements

Problem Description (Customer terms)
Changed trigger buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51755 (BSVN43211): WebUI SSO error during signoff from ADFS

Problem Description (Customer terms)
When using WebUI outside Companion/Infor10 Workspace and using IFS/ADFS for single-sigon
an error occurs when trying signoff from WebUI.
The error message shown is something like:
 "There was a problem acessing the site. Try to browse to the site again....".

In the ADFS event log the following error is shown:
The Federation Service encountered an error while processing the SAML authentication request

Motive source
Infor365:323859

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51745 (BSVN43208): Added comments in colour file

Problem Description (Customer terms)
Added comments in colour property file.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51729 (BSVN43204): Merge tab scrolling Blue 2.0 change

Problem Description (Customer terms)
Tab scrolling skinning for common ui blue 2.0

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51723 (BSVN43190): Form buttons

Problem Description (Customer terms)
Form buttons implemented in common ui Blue 2.0

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51715 (BSVN43183): Print to RPT device in commonui

Problem Description (Customer terms)
Cannot print to RPT device in Infor 10 Workspace.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51672 (BSVN43128): Premature end of file error when switching BShell for WebUI in CommonUI mode

Problem Description (Customer terms)
"Premature end of file" error when switching BShell for WebUI in CommonUI mode.

Motive source
ScrumStory:LNST-1156
TCS:800-178111

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51662 (BSVN43090): WebUI hangs if one switches tab when the grid is in insert mode

Problem Description (Customer terms)
WebUI hangs if one switches tab when the grid is in insert mode.

Motive source
Infor365: 321737

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51656 (BSVN43123): removed inner session border in common ui

Problem Description (Customer terms)
removed inner session border in common ui

Motive source
WDT:8

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51645 (BSVN43094): Only one ExternalConnectionListener thread should be active

Problem Description (Customer terms)
Only one ExternalConnectionListener thread should be active

Motive source
ScrumStory:LNST-1156

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51613 (BSVN43071): Fix for Menu Buttons too large

Problem Description (Customer terms)
Fix for menu buttons too large

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51610 (BSVN43066): Listen for external connections and handle requests to start sessions

Problem Description (Customer terms)
Listen for external connections and handle requests to start sessions

Motive source
ScrumStory:LNST-1156

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51606 (BSVN43057): New group does not work if the session starts with an item signal

Problem Description (Customer terms)
New group does not work in session tibom1110m000 if the session starts with an item signal message. 

Motive source
Infor365: 322415
Infor365: 321683

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51595 (BSVN43039): Currency code not always completely visible in PDF documents

Problem Description (Customer terms)
Currency code not always completely visible in PDF documents when printing to display.

Motive source
Infor365: 322776

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51582 (BSVN42975): Drag and drop shaving buttons

Problem Description (Customer terms)
Fix for 179276 - Drag and drop shaving off buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51536 (BSVN42970): Fix title pane for Blue 2.0 Common UI

Problem Description (Customer terms)
Fix title header for Blue 2.0 Common UI

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51523 (BSVN42901): Fix for column headers for Blue 2.0

Problem Description (Customer terms)
Fix for gap in header of blue 2.0

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51477 (BSVN42857): defect column color remains after filtering

Problem Description (Customer terms)
cells background color remains after record filtering

Motive source
TCS:800-179068

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51476 (BSVN42884): No space between label and value

Problem Description (Customer terms)
no spacing between elements

Motive source
TCS:800-179023

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51470 (BSVN42898): Fix error in build.xml jfctf

Problem Description (Customer terms)
Fix error in build.xml jfctf

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51469 (BSVN42883): Fix for 800/179143 checkbox background

Problem Description (Customer terms)
Fix for checkbox background 800/179143

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51461 (BSVN42874): Fix for 800/178877 select all

Problem Description (Customer terms)
Fix for 800/178877 select all

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51458 (BSVN42876): Solve merge conflict LNCSA-552

Problem Description (Customer terms)
 Solve merge conflict LNCSA-552

Motive source
ScrumStory:LNCSA-552

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51455 (BSVN42872): Fix constantly painting of button

Problem Description (Customer terms)
Fix constantly painting of button

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51453 (BSVN42870): New pressed toolbar images

Problem Description (Customer terms)
New pressed toolbar images

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51451 (BSVN42864): Change popup mouse over background colour

Problem Description (Customer terms)
Change popup mouse over background colour

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51445 (BSVN42835): Added padded border in toolbar button popup

Problem Description (Customer terms)
Added padded values for popup

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51435 (BSVN42818): In insert mode the focus from one row used to go to the next

Problem Description (Customer terms)
In insert mode the focus from one row used to go to the next record

Motive source
TCS:800-179095

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51423 (BSVN42834): Port of focus fix failed

Problem Description (Customer terms)
Port of focus fix failed

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51422 (BSVN42827): Change DEM company does not work if there is an optimization phase on the model

Problem Description (Customer terms)
Change DEM company does not work if there is an optimization phase on the model.

Motive source
Infor365: 314468

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51421 (BSVN42832): Changed separator

Problem Description (Customer terms)
Changed separator

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51419 (BSVN42826): Added extra horizontal padding for toolbar text buttons

Problem Description (Customer terms)
Added extra horizontal padding for toolbar text buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51415 (BSVN42812): Column widths are not saved for MMT sessions

Problem Description (Customer terms)
Column widths are not save for MMT sessions.

Motive source
Infor365: 320409
Infor365: 321548

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51414 (BSVN42809): New copy, find, and attachment images

Problem Description (Customer terms)
New copy, find and attachment images

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51411 (BSVN42805): New menu buttons images

Problem Description (Customer terms)
Toolbar text button changes

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51407 (BSVN42804): Change blank Blue 2.0 images

Problem Description (Customer terms)
Change blank 2.0 images

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51403 (BSVN42802): New Menu Images Blue 2.0

Problem Description (Customer terms)
New Menu Images Blue 2.0

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51402 (BSVN42798): Fix for menu buttons

Problem Description (Customer terms)
Fixed menu buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51384 (BSVN42763): After a zoom dialog the focus sometimes moves to the first field on the session

Problem Description (Customer terms)
 - After a zoom dialog the focus sometimes moves to the first field on the session.
 - If the tab key is pressed for several seconds in a session the focus does not stop in the field where the user releases the tab key. It continues to change focus for several fields more.

Motive source
Infor365: 319942
Infor365: 319817

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51373 (BSVN42771): Some focus problems still remain

Problem Description (Customer terms)
Some focus problems still remain

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51372 (BSVN42770): Rest of Blue 2.0 toolbar button images

Problem Description (Customer terms)
Rest of Blue 2.0 toolbar button images

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51371 (BSVN42752): New Blue 2.0 images (first batch)

Problem Description (Customer terms)
New Blue 2.0 images for toolbar (first batch)

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51356 (BSVN42744): Background color

Problem Description (Customer terms)
Background color.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51352 (BSVN42723): Fix for 800/179059 - blocks of white in tab

Problem Description (Customer terms)
Fix for 800/179059 - blocks of white appearing in tab.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51328 (BSVN42719): Fix for 800/179022 checkbox form headers

Problem Description (Customer terms)
Fix for 800/179022

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51327 (BSVN42722): Description missing

Problem Description (Customer terms)
Missing description

Motive source
Infor365:320344

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51324 (BSVN42711): Have dividers displayed for all form groups except the last group.

Problem Description (Customer terms)
Have dividers displayed for all form groups except the last groups.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51315 (BSVN42699): Divider between form groups

Problem Description (Customer terms)
Divider between form groups

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51309 (BSVN42685): Form Blue 2.0 changes

Problem Description (Customer terms)
Blue 2.0 form changes

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51304 (BSVN42673): Fix for 800/178997

Problem Description (Customer terms)
Fix for 800/178997

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51244 (BSVN42610): Stackoverflow in Add Filter dialog

Problem Description (Customer terms)
Stackoverflow in Add Filter dialog

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51237 (BSVN42617): Fix for 800 / 178967

Problem Description (Customer terms)
Fix for 800 / 178967

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51222 (BSVN42601): Update WFBaanWFController.jar

Problem Description (Customer terms)
Update WFBaanWFController.jar.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51220 (BSVN42595): white line is shown as option on mandatory field

Problem Description (Customer terms)
white line is shown as option on mandatory field

Motive source
TCS:800-178936

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51192 (BSVN42562): Removal of some unused code in XGrid

Problem Description (Customer terms)
Removal of some unused code in XGrid

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51178 (BSVN42559): Import text from Word

Problem Description (Customer terms)
In text management a copy/paste of Word text including a minus-sign of Word, results in not being able to save the text.

Motive source
Infor365: 318439

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51167 (BSVN42518): Tab Skinning Common UI

Problem Description (Customer terms)
Tab Skinning for Common UI

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51157 (BSVN42508): Create colour mouse over on grid

Problem Description (Customer terms)
Add mouse over colouring in the colour grid rows.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51156 (BSVN42262): Login Configuration refactoring

Problem Description (Customer terms)
On the Web UI admin pages, the SSL security settings for BaanLogin SSL and for ADFS SSO are handled through the same dialog (invoked with button "Generate/Update Keystores" on the Baan Environments form).

Also, in the case of ADFS SSO and when using Tomcat as a webserver, a third party tool is needed to update the keystore with CA signed certificates.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51147 (BSVN42498): Fix for 178864

Problem Description (Customer terms)
Fix for 800/178864 Overlap on checkboxes

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51134 (BSVN42472): Send message to ERP LN on checkbox selection

Problem Description (Customer terms)
Send selection to ERP LN on check box selection on grid

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51114 (BSVN42466): Add colour code for Filter panel

Problem Description (Customer terms)
Add colour code for Filter panel

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51104 (BSVN42451): Reverting rebranding changes

Problem Description (Customer terms)
Reverted rebranding

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51101 (BSVN42443): Filter skinning for Common UI

Problem Description (Customer terms)
Filter Skinning for Common UI

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51094 (BSVN42437): Fixed disabled buttons

Problem Description (Customer terms)
Fixed disabled buttons not printing correctly

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51088 (BSVN42434): Fixed image ids to lower case

Problem Description (Customer terms)
Fixed image ids to lower case

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51083 (BSVN42210): infor blue 2.0 adopt module header style

Problem Description (Customer terms)
Infor blue 2.0 adopt new module header style

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51080 (BSVN42430): BIRT graphs in homepages not visible in Firefox

Problem Description (Customer terms)
BIRT graphs in homepages not visible in Firefox

Motive source
TCS:800-178778

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51075 (BSVN42409): Fix for dem process showing in Commmon UI 365 defect 316610

Problem Description (Customer terms)
Fix for dem process showing in Common UI 365 defect 316610

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51074 (BSVN42416): opening unc htm files fails

Problem Description (Customer terms)
Fixed a problem where UNC url's (starting with \\) to htm(l) files could not be opened when clicking on the url.
FYI Internet explorer cannot open these files properly in some cases.

Motive source
Infor365:316910

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51063 (BSVN42395): Fixed mouse over problem

Problem Description (Customer terms)
Fixed mouse over problem

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51058 (BSVN42387): Added menu button for grid

Problem Description (Customer terms)
Added grid menu button

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51048 (BSVN42392): Force web part context message to use array values

Problem Description (Customer terms)
Force web part context message to use array values

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51047 (BSVN42376): Fix alignment of checkbox - checkbox was set to size 13x13. Fixed to 14x14

Problem Description (Customer terms)
Fixed alignment of checkbox - checkbox was set to size 13x13. Changed to 14x14 for common ui.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51034 (BSVN42384): Merge of BSVN42343

Problem Description (Customer terms)
Merge of BSVN42343

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51017 (BSVN42375): column grid column header

Problem Description (Customer terms)
Colour grid column header in common ui on mouse over

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51014 (BSVN42360): New Group in qmptc1140m000 in the new skin behaves strange

Problem Description (Customer terms)
New Group in qmptc1140m000 in the new skin suddenly ends after closing a message box.

Motive source
TCS:800-178661

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 51012 (BSVN42360): New Group in qmptc1140m000 in the new skin behaves strange

Problem Description (Customer terms)
New Group in qmptc1140m000 in the new skin suddenly ends after closing a message box.

Motive source
TCS:800-178661

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50993 (BSVN42346): wrong list box value selected when value is empty

Problem Description (Customer terms)
The initial value of a list box was set to the first item in the list of values even though
the value of the corresponding field was empty.

Motive source
TCS:800-178694

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50970 (BSVN42338): Unexpected tag within reply: getsystemmessagewithtime

Problem Description (Customer terms)
Unexpected tag within reply: getsystemmessagewithtime

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50964 (BSVN42330): NullPointerException in Change Company

Problem Description (Customer terms)
NullPointerException in Change Company

Motive source
TCS:800-178721

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50962 (BSVN42325): Merge from BSVN42297 (Focus handling)

Problem Description (Customer terms)
Merge from BSVN42297 (Focus handling)

Motive source
TCS:800-178685

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50955 (BSVN42325): Merge from BSVN42297 (Focus handling)

Problem Description (Customer terms)
Merge from BSVN42297 (Focus handling)

Motive source
TCS:800-178685

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50944 (BSVN42312): Dimension fields are skipped while they get enabled

Problem Description (Customer terms)
Dimension fields in session tfacp2600m000 are skipped but they are enabled if tabbing from the Ledger Account field.

Motive source
Infor365: 314784

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50937 (BSVN42304): Greying menu header

Problem Description (Customer terms)
Greying grid header

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50936 (BSVN42300): Changed colour of grid highlighting

Problem Description (Customer terms)
Changed colour of grid highlighting

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50927 (BSVN42282): Changed Look and feel of grid

Problem Description (Customer terms)
Changed the alignment of checkboxes and drill down buttons in grid for common ui.

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50926 (BSVN42295): MergeFromProjectSVN BSVN42246

Problem Description (Customer terms)
MergeFromProjectSVN BSVN42246 - Change company problem

Motive source
Infor365:311973

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50922 (BSVN42267): Infor ERP Option Show Company In Title Not Working For Existing Profiles

Problem Description (Customer terms)
Infor ERP Option Show Company In Title Not Working For Existing Profiles

Motive source
Infor365:315044

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50921 (BSVN42257): Fix checkbox and drilldown.

Problem Description (Customer terms)
Only display checkbox when enabled. Show new drill down button

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50896 (BSVN42253): Java error just in webtop for a customized session

Problem Description (Customer terms)
Java error just in webtop for a customized session

Motive source
Infor365:314538

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50883 (BSVN42235): Fixed YGrid bug

Problem Description (Customer terms)
Fixed Y Grid bug problem

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50882 (BSVN42244): Changed and refactored checkboxes for CommonUI

Problem Description (Customer terms)
Changed and refactored Checkboxes for Common UI

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50878 (BSVN42249): Whitespace gets trimmed in JSON messages

Problem Description (Customer terms)
Whitespace gets trimmed in JSON messages

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50877 (BSVN42147): Incorrect company number with finalizeed intercompany transaction details

Problem Description (Customer terms)
Incorrect company number with finalizeed intercompany transaction details

Motive source
Infor365:313015

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50865 (BSVN42232): Check boxes added to grid

Problem Description (Customer terms)
Checkboxes added to grid

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50861 (BSVN42148): Background Image cannot be changed

Problem Description (Customer terms)
Background Image cannot be changed

Motive source
Infor365:312692

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50860 (BSVN42086): Wrong cursor sequence when columns are frozen

Problem Description (Customer terms)
Wrong cursor sequence when columns are frozen

Motive source
Infor365:312103

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50858 (BSVN42226): Change some build and delivery properties to Walz

Problem Description (Customer terms)
Change some build and delivery properties to Walz

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50847 (BSVN42154): delete button missing

Problem Description (Customer terms)
Added delete button for MMT Controllers on customer requests also in Classic WebUI

Motive source
SOL:1002914

--------------------------------------------------------------------------------

MergeProjectSVN: Walz: # 50846 (BSVN42211): Start tfbgc3600m000 from recently closed

Problem Description (Customer terms)
Sessions that start with a message do not start properly from the recently closed sessions page.

Motive source
TCS: 800-178562

================================================================================
The following problems have been fixed in build VO0083
================================================================================

MergeProjectSVN: Vocal: # 51253 (BSVN42624): Stackoverflow in Add Filter dialog

Problem Description (Customer terms)
Stackoverflow in Add Filter dialog

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 51252 (BSVN42630): YGrid problem

Problem Description (Customer terms)
YGrid fix

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 51222 (BSVN42601): Update WFBaanWFController.jar

Problem Description (Customer terms)
Update WFBaanWFController.jar.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 51221 (BSVN42597): white line is shown as option on mandatory field

Problem Description (Customer terms)
white line is shown as option on mandatory field

Motive source
TCS:800-178936

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 51110 (BSVN42460): Revert rebranding changes

Problem Description (Customer terms)
Reverting of rebranding

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 51080 (BSVN42430): BIRT graphs in homepages not visible in Firefox

Problem Description (Customer terms)
BIRT graphs in homepages not visible in Firefox

Motive source
TCS:800-178778

================================================================================
The following problems have been fixed in build VO0075
================================================================================

MergeProjectSVN: Vocal: # 51076 (BSVN42423): Have process browser come up for common ui

Problem Description (Customer terms)
Have process browser come up for common ui

Motive source
Infor365:316610

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 51074 (BSVN42416): opening unc htm files fails

Problem Description (Customer terms)
Fixed a problem where UNC url's (starting with \\) to htm(l) files could not be opened when clicking on the url.
FYI Internet explorer cannot open these files properly in some cases.

Motive source
Infor365:316910

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50993 (BSVN42346): wrong list box value selected when value is empty

Problem Description (Customer terms)
The initial value of a list box was set to the first item in the list of values even though
the value of the corresponding field was empty.

Motive source
TCS:800-178694

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50944 (BSVN42312): Dimension fields are skipped while they get enabled

Problem Description (Customer terms)
Dimension fields in session tfacp2600m000 are skipped but they are enabled if tabbing from the Ledger Account field.

Motive source
Infor365: 314784

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50935 (BSVN42298): MergeFromProjectSVN BSVN42246

Problem Description (Customer terms)
MergeFromProjectSVN BSVN42246 - Company number problem

Motive source
Infor365:311973

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50922 (BSVN42267): Infor ERP Option Show Company In Title Not Working For Existing Profiles

Problem Description (Customer terms)
Infor ERP Option Show Company In Title Not Working For Existing Profiles

Motive source
Infor365:315044

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50896 (BSVN42253): Java error just in webtop for a customized session

Problem Description (Customer terms)
Java error just in webtop for a customized session

Motive source
Infor365:314538

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50877 (BSVN42147): Incorrect company number with finalizeed intercompany transaction details

Problem Description (Customer terms)
Incorrect company number with finalizeed intercompany transaction details

Motive source
Infor365:313015

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50861 (BSVN42148): Background Image cannot be changed

Problem Description (Customer terms)
Background Image cannot be changed

Motive source
Infor365:312692

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50860 (BSVN42086): Wrong cursor sequence when columns are frozen

Problem Description (Customer terms)
Wrong cursor sequence when columns are frozen

Motive source
Infor365:312103

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50846 (BSVN42211): Start tfbgc3600m000 from recently closed

Problem Description (Customer terms)
Sessions that start with a message do not start properly from the recently closed sessions page.

Motive source
TCS: 800-178562

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50797 (BSVN42155): NullPointerException in GBF

Problem Description (Customer terms)
The BOM View Tree session does not start and gives a NullPointerException.

Motive source
Infor365: 312540

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50769 (BSVN41999): Fields to Export

Problem Description (Customer terms)
Field to Export option added to Export to Excel menu

Motive source
ScrumStory:LNCSA-476

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50760 (BSVN41894): Timestamp on code signing certificate

Problem Description (Customer terms)
When the certificate expires which was used to sign the WebUI applet, all users
get an error message about this. 

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50754 (BSVN42081): Double Scrollbar in Corelli fix 800/178353

Problem Description (Customer terms)
Double scroll bar in Corelli fix 800/178353

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50748 (BSVN42082): Total row on second satellite not immediately visible

Problem Description (Customer terms)
Total row on second satellite not immediately visible. It will eventually appear if the number of rows in the grid is enlarged.

Motive source
TCS: 800-178503

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50743 (BSVN42076): Add use default DEM model option

Problem Description (Customer terms)
Add the option in the DEM configuration dialog to use the default DEM model.

Motive source
Infor365: 307008
Infor365: 294239

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50742 (BSVN42061): Solution 1010279 changes label (good) but label is displayed twice

Problem Description (Customer terms)
Label is displayed twice.

Motive source
Infor365:311035

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50741 (BSVN42067): Fixed scrollbar length for popup. Defect 365 302057

Problem Description (Customer terms)
Fixed scrollbar length for popup. Defect 365 302057

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50718 (BSVN42055): Maximize of 2nd session causes loop of both sessions

Problem Description (Customer terms)
Maximize of 2nd session causes loop of both sessions

Motive source
Infor365:308139

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50717 (BSVN42056): windows high contrast fix for 365 307000

Problem Description (Customer terms)
365 windows high contrast fix  for menu tree text not being visible.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50594 (BSVN41939): Save personalizations if save and close is pressed

Problem Description (Customer terms)
Personalizations are not saved if the session is exited via the save-and-close button. They are saved if one exits the session via the x-button on the session itself.

Motive source
Infor365: 311012
Infor365: 310366

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50527 (BSVN41843): Ctrl-Tab does not work anymore

Problem Description (Customer terms)
With MMT sessions ctrl TAB / ctrl shift TAB does not change tabs anymore

Motive source
TCS:800-178177

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50506 (BSVN41872): Generate keystores updates

Problem Description (Customer terms)
Pressing the "Generate/Update key stores" button does not work well if keystores are manually deleted and the button is pressed more than once.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50499 (BSVN41870): Follow ERP company default on

Problem Description (Customer terms)
When creating a new WebUI profile, the default value
for "DEM company always same as ERP company" is "OFF". For most real-life DEM users
this is not the desired setting. Therefore the default value should be "ON".

Motive source
Infor365:309588

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50498 (BSVN41871): Reportviewer throws error for report in Russian language

Problem Description (Customer terms)
Reportviewer throws error for report in Russian language

Motive source
Infor365:310205

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50474 (BSVN41842): paperclip in grid for workspace 10

Problem Description (Customer terms)
Added paperclip in grid for attachments in Workspace 10

Motive source
ScrumStory:LNCSA-506

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50465 (BSVN41832): Sign binary jars with new code signing certificate

Problem Description (Customer terms)
Some jar files which are shipped with the WebUI as binary files
and run on the client where not yet signed with the new verisign 
certificate.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50450 (BSVN41809): infor365-308528 Personalization not saved

Problem Description (Customer terms)
Grid Personalization for BOM tibom1110m000 session on making hidden column <Order Lead Time> visible does not  work from WebUI.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50416 (BSVN41696): Homepage Synchronize hangs WebUI

Problem Description (Customer terms)
Homepage Synchronize hangs WebUI

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50415 (BSVN41786): New code signing certificate

Problem Description (Customer terms)
Current code signing certificate expires 16-may-2011.
New code signing certificate will expire 11-april-2013.  

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50380 (BSVN41719): Ensure companies with 4 digits are possible in web ui.

Problem Description (Customer terms)
Ensure companyies with 4 digit codes are possible in web ui.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50309 (BSVN41690): Some fields of the line which became non-active are displayed with white.

Problem Description (Customer terms)
Some fields of the line which became non-active are displayed with white.

Motive source
Infor365:308530

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50298 (BSVN41616): The options in the Process view for a role is distorted

Problem Description (Customer terms)
Process viewer overlaps buttons in Common UI

Motive source
TCS:800-178149

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50233 (BSVN41540): updated synchronizer

Problem Description (Customer terms)
Solved synchronizer configuration caching.

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50135 (BSVN41468): Merge from Urban

Problem Description (Customer terms)
Minor change in creating wuc files for userprofiles

Motive source
Infor365:305789

--------------------------------------------------------------------------------

MergeProjectSVN: Vocal: # 50110 (BSVN41459): Some sessions with buttons in the top take too much space in Japanese

Problem Description (Customer terms)
Some sessions with buttons in the top take too much space in Japanes if the buttons wrap because of too less horizontal space.

Motive source
Infor365:303388

================================================================================
The following problems have been fixed in build UR0079
================================================================================

MergeProjectSVN: Urban: # 50465 (BSVN41832): Sign binary jars with new code signing certificate

Problem Description (Customer terms)
Some jar files which are shipped with the WebUI as binary files
and run on the client where not yet signed with the new verisign 
certificate.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50415 (BSVN41786): New code signing certificate

Problem Description (Customer terms)
Current code signing certificate expires 16-may-2011.
New code signing certificate will expire 11-april-2013.  

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50298 (BSVN41616): The options in the Process view for a role is distorted

Problem Description (Customer terms)
Process viewer overlaps buttons in Common UI

Motive source
TCS:800-178149

================================================================================
The following problems have been fixed in build UR0071
================================================================================

MergeProjectSVN: Urban: # 50243 (BSVN41611): Renamed image files (step 2 of 2 step process)

Problem Description (Customer terms)
Renamed image files (step 2 of 2 step process)

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50242 (BSVN41610): Renamed image files (step 1 of 2 step process)

Problem Description (Customer terms)
Renamed image files (step 1 of 2 step process)

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50233 (BSVN41540): updated synchronizer

Problem Description (Customer terms)
Solved synchronizer configuration caching.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50199 (BSVN41552): Fix NullPointerException in adding Rotate Currency to the end

Problem Description (Customer terms)
Fix null pointer exception when adding Rotate Currency to the end

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50198 (BSVN41542): Copy to Excel changed position in menu buttons

Problem Description (Customer terms)
Copy to Excel changed position in menu buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50187 (BSVN41527): Remark 800/177897 add images for common ui for graphs

Problem Description (Customer terms)
800/177897 add imges for common ui for graphs

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50186 (BSVN41530): 800/178035 Enable/disable personalization for Stanard Web UI

Problem Description (Customer terms)
800/178035 Enable/disable personalization for Standard Web UI

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50178 (BSVN41523): 800/178097 Rotate currency at bottom

Problem Description (Customer terms)
800/178097 Rotate currency at bottom fix

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50174 (BSVN41509): Remark 800/178098 Remove menu button values that are standard toolbar buttons

Problem Description (Customer terms)
Remark 800/178098 Remove menu button values that are standard toolbar buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50156 (BSVN41506): 800/178096 Duplicate values on changing tabs

Problem Description (Customer terms)
800/178096 Fix problem of duplicate values when changing tabs

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50153 (BSVN41480): Remark 800/177987 White blocks

Problem Description (Customer terms)
Remark 800/177987, White blocks

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50119 (BSVN41472): Remove disable left side of split button

Problem Description (Customer terms)
Remove disabled left side of split button

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50116 (BSVN41446): Remark 800/177787

Problem Description (Customer terms)
Remark 800/177787

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50110 (BSVN41459): Some sessions with buttons in the top take too much space in Japanese

Problem Description (Customer terms)
Some sessions with buttons in the top take too much space in Japanes if the buttons wrap because of too less horizontal space.

Motive source
Infor365:303388

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50104 (BSVN41443): Remark 800/178030

Problem Description (Customer terms)
Remark 800/178030 Filter values were not being checked and unchecked.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50093 (BSVN41436): Remove send to from common ui mmt sessions

Problem Description (Customer terms)
remove send to from mmt common ui sessions

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50088 (BSVN41431): Fixed null pointer due to now dynamic number of values toolbar personalization menu button

Problem Description (Customer terms)
Fixed null pointer due to now dynamic number of values in toolbar personalization button

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50087 (BSVN41434): Manual merge of BSVN41398 (Splitter for tdsls4510m000 too)

Problem Description (Customer terms)
Manual merge of BSVN41398 to Urban. 

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50076 (BSVN41423): Set command status to selected

Problem Description (Customer terms)
Set command status correctly for conditional formatting

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50064 (BSVN41395): Remark 800 / 178033

Problem Description (Customer terms)
Remark 800 / 178033

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50044 (BSVN41373): Remove extra padding for right panel of toolbar

Problem Description (Customer terms)
Removed padding on right toolbar panel

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50025 (BSVN41268): Toolbar personlizations

Problem Description (Customer terms)
Toolbar personalisation changes. Display help and personalize where appropriate on the right of toolbar with restricted options.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 50003 (BSVN41306): Opening a node in GBF can distort the layout of this node

Problem Description (Customer terms)
Opening a node in GBF can distort the layout of this node. This can for example happen in the Bill Of Material view session.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49988 (BSVN41335): Remark 800-177888

Problem Description (Customer terms)
 800-177888 
There was logic that was asked to be added – if there is only one child static form command, and it has children, remove the parent and just add the children.
This prevented the situation where there is only one menu item and it has children, it makes the single menu item pointless.
However the check did not take into account there being standard commands already associated with the form for the category (e.g. VIEW).
So now it is checking for standard commands being present also.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49977 (BSVN41298): Update version numbereing

Problem Description (Customer terms)
Update version numbering

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49961 (BSVN41303): save twice defect 800 / 177879

Problem Description (Customer terms)
Save appearing twice when personalization data not sent
Remark 800 / 177879

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49936 (BSVN41222): Disable locate button in web help if no linking is available

Problem Description (Customer terms)
Disable locate button in web help if no linking is available

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49907 (BSVN41183): Homepage import fails when user is still online

Problem Description (Customer terms)
Homepage import fails when user is still online

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49888 (BSVN41212): Fix for right click in MMT session

Problem Description (Customer terms)
Fix for right click on MMT session

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49874 (BSVN41190): Remark 800/177321

Problem Description (Customer terms)
Remark 800 / 177321
Time scale difficult to read as colour contrast is very small

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49855 (BSVN41186): Remark 800 / 177463 and null pointer

Problem Description (Customer terms)
Remark 800 / 177463 and null pointer

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49854 (BSVN41179): DEM menus are incomplete in Companion

Problem Description (Customer terms)
In Companion some DEM menus are incomplete. The process diagrams show unauthorized symbols for these missing entries.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49853 (BSVN41178): Remark 800/177634

Problem Description (Customer terms)
Remark 800 / 177634

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49852 (BSVN41177): Handle incoming messages from Companion

Problem Description (Customer terms)
Handle incoming messages from Companion

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49847 (BSVN41174): Excel images added

Problem Description (Customer terms)
Excel images added

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49834 (BSVN41161): Remark 800 / 177618

Problem Description (Customer terms)
Remark 800 / 177618 - empty button row after personalization

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49820 (BSVN41150): Fix for 800 / 176896

Problem Description (Customer terms)
Fix for 800 / 176896
Gradient block of colour

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49812 (BSVN41132): Remark 800 / 177132

Problem Description (Customer terms)
Remark 800 / 177132
After opening Change Company or Tools Personalization alignment of buttons went strange and big thick white boarder around menu button

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49802 (BSVN41130): TCS800-177015 cmfuiadap fails when outlook not running

Problem Description (Customer terms)
When Outlook is not running and trying to send a mail through
the Outlook client the following message appears:
 "Something went wrong please see the log file: ...".

Motive source
TCS:800-177015

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49797 (BSVN41131): Extra excel changes

Problem Description (Customer terms)
Extra excel changes

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49796 (BSVN41092): Support Regional Settings Corelli backend

Problem Description (Customer terms)
Support Use of Client decimal and thousand symbol when using a Corelli erp backend.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49795 (BSVN41128): Fix for 800 / 177159

Problem Description (Customer terms)
Fix for 800 / 177159. Display the tooltips for long text buttons

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49786 (BSVN41083): Propagate message subscriptions to Companion

Problem Description (Customer terms)
Propagate message subscriptions to Companion

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49785 (BSVN41030): Hanging threads that require a webserver reboot to remove

Problem Description (Customer terms)
Hanging threads that require a webserver reboot to remove

Motive source
Infor365:303472

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49783 (BSVN41103): Null pointer exception fix. Prevent an attempt to add fake commands to set of commands

Problem Description (Customer terms)
Fix for null pointer exception.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49775 (BSVN41039): Excel WebUI changes

Problem Description (Customer terms)
Excel changes for the WebUI classic and Common UI

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49774 (BSVN41081): Fix for group values not appearing remark 800 177138

Problem Description (Customer terms)
Remark 800 177138 - Fix for group values not appearing

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49751 (BSVN41075): JFC Rework

Problem Description (Customer terms)
JFCTests fail

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49748 (BSVN41024): Propagate messages to Companion Webparts

Problem Description (Customer terms)
Propagate messages to Companion Webparts

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49741 (BSVN41065): Workaround for Companion resize issue

Problem Description (Customer terms)
The WebUI runs inside companion.
When the user resizes the browser window in vertical direction,
the WebUI iframe size is not changed accordingly.
This is because in companion the style width and height are adapted
however there is also a height property on the DOM object wich is not changed
by companion.

It might well be that removing the "DOCTYPE" element from the WebUI HTML page is a workaround for
this problem.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49727 (BSVN41027): transparent icons gbf

Problem Description (Customer terms)
Transparency icons are not displayed correctly.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49697 (BSVN41007): Session fmlbd0215m000 fails to start

Problem Description (Customer terms)
Session fmlbd0215m000  fails to start

Motive source
Infor365:302857

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49688 (BSVN41011): Maximize/restore is very slow in the applet version

Problem Description (Customer terms)
When using a 1.6.0_21 or higher JRE maximizing and restoring a session is very slow when WebUI is running as an applet.

Motive source
Infor365: 301379

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49683 (BSVN41006): Changed personalize menu to personalize toolbar in common ui

Problem Description (Customer terms)
Changed personalize menu to personalize toolbar in common ui

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49658 (BSVN40965): Cannot start Birt reports from a shortcut

Problem Description (Customer terms)
Birt reports cannot be started from a shortcut.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49632 (BSVN40940): Pass ERP Next messages to Java Console

Problem Description (Customer terms)
Pass ERP Next messages to Java Console

Motive source
ScrumStory:LNCSA-469

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49614 (BSVN40928): Companion wipes out shortcuts

Problem Description (Customer terms)
Starting Companion wipes out shortcut settings of WebUI

Motive source
TCS:800-177039

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49569 (BSVN40880): Print-to-display performance improvements

Problem Description (Customer terms)
Performance improvements for the print-to-display.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49534 (BSVN40796): DEM texts are always centered

Problem Description (Customer terms)
 - The text inside text boxes in DEM processes are always centered in WebUI even if they are modeled to be left aligned.
 - One cannot drag a tab of an open session to another position in the task bar.

Motive source
Infor365: 299225
Infor365: 297587

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49441 (BSVN40671): Userprofile not loaded in WebHelp

Problem Description (Customer terms)
WebHelp does not have a user profile

Motive source
TCS:800-176526

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49413 (BSVN40764): icons passed from xml

Problem Description (Customer terms)
Display Form commands passed to from xml to front end

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49410 (BSVN40737): ctrl-c ctrl-v problem

Problem Description (Customer terms)
Ctrl-C/Ctrl-X does not work on fields in the grid

Motive source
Infor365:299689

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49375 (BSVN40739): Fix for selection on dem menu dynamically loading the first time

Problem Description (Customer terms)
Fix for seleciton on dem menu dynamically loading the first time.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49359 (BSVN40714): Update of icons

Problem Description (Customer terms)
Update of icons for CommonUI

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49343 (BSVN40498): Dem dynamic menu

Problem Description (Customer terms)
Dem menu opening dynamically

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49336 (BSVN40678): Merge with changes made in Tango (BSVN40629)

Problem Description (Customer terms)
Merge with Tango failed

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49317 (BSVN40652): Fixing trace truncation (2nd attempt)

Problem Description (Customer terms)
Fixing trace truncation (2nd attempt)

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49300 (BSVN40657): Fixing formgeneration unittests

Problem Description (Customer terms)
Fixed formgeneration unittests

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49298 (BSVN40621): add UNC support in Text Editor

Problem Description (Customer terms)
Added UNC support in text editor

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49294 (BSVN40653): Manual merge of BSVN40577

Problem Description (Customer terms)
Manual merge of BSVN40577

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49237 (BSVN40591): Manual merge of project BSVN40578

Problem Description (Customer terms)
Manual merge of project BSVN40578

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49219 (BSVN40445): W is shown partially

Problem Description (Customer terms)
Capital W looses part of its left leg when it is the first character in a text area (like the To field in Email Recipients)

Motive source
TCS:800-176286

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49119 (BSVN40435): Search -> null pointer exception

Problem Description (Customer terms)
Pressing Search button in Contacts causes NullPointerException

Motive source
TCS:800-176317

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49115 (BSVN40418): Fix trace truncation in Java Console

Problem Description (Customer terms)
Fix trace truncation in Java Console

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49111 (BSVN40340): Drop down positioned wrong

Problem Description (Customer terms)
Drop down field improperly aligned in session tdsls4100s000 in Baan5

Motive source
TCS:800-176407

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49097 (BSVN40357): WebUI 8.6.3 Message that User Profile is already being edited not Displayed

Problem Description (Customer terms)
Message that User Profile is already being edited not displayed when using the same profile for the third time.

Motive source
Infor365:295999

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49040 (BSVN40320): UNC link support

Problem Description (Customer terms)
Added support for UNC file names

Motive source
ScrumStory:LNCSA-440

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49031 (BSVN40327): First send mark.occur then construct the context menu

Problem Description (Customer terms)
Right clicking a row in the grid can display wrongly enabled or disabled commands.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 49016 (BSVN40220): UserContext does not get updated when profile is changed just after it was duplicated

Problem Description (Customer terms)
Changes made to a user profile that just was duplicated are not saved.

Motive source
TCS:800-176341

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48949 (BSVN40156): menu caching optional

Problem Description (Customer terms)
Caching the ERP Menu is now optional, by selecting the option in the ERP option menu (this is configurable for each user profile). If caching is off, changes made to the menu on the backend will show when a user opens his profile again.

Motive source
TCS:800-176296

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48877 (BSVN40112): New profile created when user presses Cancel

Problem Description (Customer terms)
When a Duplicate Profile action is started, Cancel does not rollback the creation of the duplicated profile.

Motive source
TCS:800-176231

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48866 (BSVN40139): Help content cannot be installed

Problem Description (Customer terms)
Uploading help content via the admin console does not work. After uploading 1 MB it suddenly stops.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48860 (BSVN40107): Menu codes shorter as 8 chars in B4c fail in Webtop

Problem Description (Customer terms)
Menu codes shorter as 8 chars in B4c fail in Webtop

Motive source
Infor365:293926

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48840 (BSVN40111): Server2client does not work

Problem Description (Customer terms)
Server2client does not work.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48821 (BSVN40092): In GBF session icons in menu items disappear

Problem Description (Customer terms)
In GBF session icons in menu items disappear.

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48807 (BSVN40052): Change description of personalize grid icon

Problem Description (Customer terms)
Wrong description of Personalize button in grid

Motive source
TCS:800-176065

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48798 (BSVN39976): WebtopException dropped in UserContext

Problem Description (Customer terms)
WebtopException stacktrace overwrites part of UserContext file

Motive source
TCS:800-176182

--------------------------------------------------------------------------------

MergeProjectSVN: Urban: # 48781 (BSVN40062): Server2client does not always work

Problem Description (Customer terms)
Server2client does not always work resulting in for example a not found file message if one prints to a Windows printer.

Motive source
Infor365: 295460

--------------------------------------------------------------------------------

================================================================================
The following problems have been fixed in build TA0237
================================================================================
--------------------------------------------------------------------------------

MergeProjectSVN: Tango: # 49927 (BSVN41260): ClassCastException in Diagnostics in Admin Console

Problem Description (Customer terms)
ClassCastException in Diagnostics in Admin Console.

================================================================================
The following problems have been fixed in build TA0234
================================================================================

MergeProjectSVN: Tango: # 49854 (BSVN41179): DEM menus are incomplete in Companion

Problem Description (Customer terms)
In Companion some DEM menus are incomplete. The process diagrams show unauthorized symbols for these missing entries.

--------------------------------------------------------------------------------

MergeProjectSVN: Tango: # 49703 (BSVN40976): Collapse header doesnt show all grid lines

Problem Description (Customer terms)
Collapse header doesn't show all grid lines

Motive source
TCS:800-176632

--------------------------------------------------------------------------------

MergeProjectSVN: Tango: # 49658 (BSVN40965): Cannot start Birt reports from a shortcut

Problem Description (Customer terms)
Birt reports cannot be started from a shortcut.

--------------------------------------------------------------------------------

MergeProjectSVN: Tango: # 49375 (BSVN40739): Fix for selection on dem menu dynamically loading the first time

Problem Description (Customer terms)
Fix for seleciton on dem menu dynamically loading the first time.
--------------------------------------------------------------------------------

MergeProjectSVN: Tango: # 49362 (BSVN40720): Update of icons for CommonUI

Problem Description (Customer terms)
Update of icons for CommonUI

--------------------------------------------------------------------------------

MergeProjectSVN: Tango: # 49356 (BSVN40716): Dem menu dynamically loading

Problem Description (Customer terms)
Load dem menu dynamically

================================================================================
The following problems have been fixed in build TA0214
================================================================================

MergeProjectSVN: Tango: # 49223 (BSVN40584): UNC link support

Problem Description (Customer terms)
Added suppoert for UNC links

Motive source
ScrumStory:LNCSA-440

================================================================================
The following problems have been fixed in build TA0194
================================================================================

MergeProjectSVN: Tango: # 49031 (BSVN40327): First send mark.occur then construct the context menu

Problem Description (Customer terms)
Right clicking a row in the grid can display wrongly enabled or disabled commands.

MergeProjectSVN: Tango: # 48949 (BSVN40156): menu caching optional

Problem Description (Customer terms)
Caching the ERP Menu is now optional, by selecting the option in the ERP option menu (this is configurable for each user profile). If caching is off, changes made to the menu on the backend will show when a user opens his profile again.

Motive source
TCS:800-176296

MergeProjectSVN: Tango: # 48866 (BSVN40139): Help content cannot be installed

Problem Description (Customer terms)
Uploading help content via the admin console does not work. After uploading 1 MB it suddenly stops.

MergeProjectSVN: Tango: # 48840 (BSVN40111): Server2client does not work

Problem Description (Customer terms)
Server2client does not work.

MergeProjectSVN: Tango: # 48821 (BSVN40092): In GBF session icons in menu items disappear

Problem Description (Customer terms)
In GBF session icons in menu items disappear.

MergeProjectSVN: Tango: # 48798 (BSVN39976): WebtopException dropped in UserContext

Problem Description (Customer terms)
WebtopException stacktrace overwrites part of UserContext file

Motive source
TCS:800-176182

MergeProjectSVN: Tango: # 48781 (BSVN40062): Server2client does not always work

Problem Description (Customer terms)
Server2client does not always work resulting in for example a not found file message if one prints to a Windows printer.

Motive source
Infor365: 295460

MergeProjectSVN: Tango: # 48751 (BSVN40037): Homepages sometimes display a dialog saying that servlets/urls cannot be called from the event-dispatch-thread

Problem Description (Customer terms)
Homepages sometimes display a dialog saying that servlets/urls cannot be called from the event-dispatch-thread.

MergeProjectSVN: Tango: # 48750 (BSVN40040): some custom BaaN IV c4 menus are not available

Problem Description (Customer terms)
some custom BaaN IV c4 menus are not available

Motive source
Infor365:293926

MergeProjectSVN: Tango: # 48745 (BSVN40028): DEM diagram sometimes does not display the connecting lines

Problem Description (Customer terms)
DEM diagram  sometimes does not display the connecting lines. This happens when the connecting lines are not near any of the boxes.

Motive source
Infor365: 293326

MergeProjectSVN: Tango: # 48721 (BSVN39985): Fixed the menu heights after a code change that was done by someone yesterday

Problem Description (Customer terms)
Fix menu button, button and split button heights

MergeProjectSVN: Tango: # 48720 (BSVN39985): Fixed the menu heights after a code change that was done by someone yesterday

Problem Description (Customer terms)
Fix menu button, button and split button heights

MergeProjectSVN: Tango: # 48710 (BSVN39989): Toolbar uses too much vertical space

Problem Description (Customer terms)
Toolbar uses too much vertical space

Motive source
TCS:800-176093

MergeProjectSVN: Tango: # 48698 (BSVN39979): Remark 800/175946 [Not clear when checkbox has focus]

Problem Description (Customer terms)
Remark 800/175946 - Not clear when checkbox has focus

MergeProjectSVN: Tango: # 48694 (BSVN39973): Remark 800/176077, clean up of command duplication fix

Problem Description (Customer terms)
800/176077 - Addtion to "command duplication" fix.

MergeProjectSVN: Tango: # 48689 (BSVN39960): adding shortcuts for subst sessions was not working.

Problem Description (Customer terms)
adding shortcuts for subst sessions was not working.

Motive source
TCS:800-176137

MergeProjectSVN: Tango: # 48683 (BSVN39949): References and action lists show duplicates

Problem Description (Customer terms)
References and action lists show duplicates. Remark: 800/176077

MergeProjectSVN: Tango: # 48673 (BSVN39908): When using the WebUI (8.6) some custom BaaN IV c4 menus are not available

Problem Description (Customer terms)
When using the WebUI (8.6) some custom BaaN IV c4 menus are not available

Motive source
Infor365:293926

MergeProjectSVN: Tango: # 48672 (BSVN39919): Missing shortcut keys in GBF sessions

Problem Description (Customer terms)
When running a graphical browser tree (GBF) session in WebUI, no shortcut keys like CNTRL+F1
are available on the menu commands.
This occurs for instance in session "Bottom Up Budget - Map (tpptc1810m100)".

Motive source
TCS:800-176128

MergeProjectSVN: Tango: # 48668 (BSVN39907): Submenu arrow overlaps menu text

Problem Description (Customer terms)
Submenu arrow overlaps menu text in drop-down menus in sessions.

Motive source
TCS:800-176071

MergeProjectSVN: Tango: # 48666 (BSVN39943): When switching tabs the TAB-key sometimes does not work

Problem Description (Customer terms)
When switching tabs the TAB-key sometimes does not work.

Motive source
TCS: 800-176163
TCS: 800-176108
TCS: 800-176100

MergeProjectSVN: Tango: # 48664 (BSVN39940): Remark 175891 - rectangular edges on buttons

Problem Description (Customer terms)
Remark 800/175981 - Rectangular edges on buttons

MergeProjectSVN: Tango: # 48660 (BSVN39896): License issue with Homepage Import

Problem Description (Customer terms)
License issue with Homepage Import

Motive source
Infor365:293194

MergeProjectSVN: Tango: # 48657 (BSVN39887): Cannot select the last couple of tab pages in a satellite session if the satellite session has tab pages

Problem Description (Customer terms)
Cannot select the last couple of tab pages in a satellite session if the satellite session has tab pages. This is the case in for example session whinh3512m000 where the tab pages "Status" and "Information" are not selectable.

Motive source
TCS: 800-176085

MergeProjectSVN: Tango: # 48656 (BSVN39931): Fix for remark 176079 (too many buttons) and 176119 (forward button)

Problem Description (Customer terms)
Fix for remark 176079 (too many buttons) and 176119 (forward button)

MergeProjectSVN: Tango: # 48643 (BSVN39911): Fix for remark 800/176139

Problem Description (Customer terms)
Fix for remark 800/176139 Delete range in Common UI

MergeProjectSVN: Tango: # 48640 (BSVN39903): Remark 800 / 176129 - removal of first and last menu items

Problem Description (Customer terms)
Remark 800 / 176129 - removal of first and last menu items in combined session

MergeProjectSVN: Tango: # 48633 (BSVN39888): Separator sign visible in tools - Remark 800 / 176082

Problem Description (Customer terms)
Separrator sign visible in tools - remark 800 / 176082

MergeProjectSVN: Tango: # 48616 (BSVN39875): Fix for smart links : 800 / 175918

Problem Description (Customer terms)
Fix for smart links remark 800 / 175918

MergeProjectSVN: Tango: # 48603 (BSVN39860): WebUI does not show close message if the back-button of the browser is pressed

Problem Description (Customer terms)
WebUI does not show close message if the back-button of the browser is pressed.

MergeProjectSVN: Tango: # 48601 (BSVN39869): Fix for remark 175968

Problem Description (Customer terms)
Fix for Remark 800 / 175968

MergeProjectSVN: Tango: # 48594 (BSVN39825): Toolbar icons missing on Gantt charts (CommonUI)

Problem Description (Customer terms)
Toolbar icons are missing on Gantt charts in CommonUI mode.

Motive source
TCS:800-157980

MergeProjectSVN: Tango: # 48586 (BSVN39851): Enable/disable conditional format results in xml parse error

Problem Description (Customer terms)
Start an overview session in the Web UI. Enter a conditional format, with a description that has a < or a > in it.
When enablind or disabling the formatting by checking the menu item an error will be shown.

MergeProjectSVN: Tango: # 48582 (BSVN39847): License issue with Homepage Import

Problem Description (Customer terms)
License issue with Homepage Import when Named User license model is used.

Motive source
Infor365:293194

MergeProjectSVN: Tango: # 48571 (BSVN39708): session tiitm0101m000, the field item (tiitm001.item) is too small

Problem Description (Customer terms)
session tiitm0101m000, the field item (tiitm001.item) is too small after customer enlarged the length in the domain (BaanIVc issue)

Motive source
Infor365:278517

MergeProjectSVN: Tango: # 48569 (BSVN39811): Weird Order dialogs when replacing a filter

Problem Description (Customer terms)
Open a session. Create a filter. Change a valua of the filter via an easy filter field. Select the Filter Save as option. Press ok on the dialog. Message pops up whether to replace the filter. Press yes. The Save as Filter dailog appears again. This is not expected, because the filter has been saved already in this situation.

MergeProjectSVN: Tango: # 48560 (BSVN39820): NullPointerException when starting Gantt chart (CommonUI)

Problem Description (Customer terms)
NullPointerException when starting Gantt chart (CommonUI)

Motive source
TCS:800-175963

MergeProjectSVN: Tango: # 48557 (BSVN39794): Freez problem

Problem Description (Customer terms)
Frozen columns return to their original position after the session is restarted

Motive source
TCS:800-173441

MergeProjectSVN: Tango: # 48555 (BSVN39815): NullPointerException when starting read-only Text Editor

Problem Description (Customer terms)
NullPointerException when starting read-only Text Editor in CommonUI mode

Motive source
TCS:800-175943

MergeProjectSVN: Tango: # 48549 (BSVN39759): Command buttons should wrap to new line

Problem Description (Customer terms)
Update sessions of type Dialog only show one line with command buttons. If not all buttons fit, the remainder is inaccessible.
In previous versions, the remaining buttons were placed on a new line.

Motive source
Infor365:291750

MergeProjectSVN: Tango: # 48546 (BSVN39809): Fix for 175928 - menu item missing gradient

Problem Description (Customer terms)
Remark 175928 - Menu item missing gradient.

MergeProjectSVN: Tango: # 48545 (BSVN39792): Fix for 175905 - colours not compleatly switching

Problem Description (Customer terms)
Fix for 175905 - colours not changing completely.

MergeProjectSVN: Tango: # 48537 (BSVN39800): Easy Filter allows same of characters as can be entered in the field

Problem Description (Customer terms)
Start for instance session Outbound Advice (whinh4525m000). Easy Filter on the Order Number. It will be possible to  enter more than 9 characters. This makes it little bit uneasy if you just want to enter a bunch of the same character  till the end of the value. i.e. SL0000002.

MergeProjectSVN: Tango: # 48535 (BSVN39786): System message should show up earlier

Problem Description (Customer terms)
System message should show up earlier.

Motive source
Infor365: 213931

MergeProjectSVN: Tango: # 48527 (BSVN39789): Fix for null pointer exception in the case there is no menubar

Problem Description (Customer terms)
Fix for a NullPointerException in the case there is no menu bar.

MergeProjectSVN: Tango: # 48522 (BSVN39767): WebUI sends 3 resizes if MMT is started on backend

Problem Description (Customer terms)
WebUI sends 3 resizes if MMT is started on backend. This happens for example if the Sales Order Lines session is started from the Sales Orders session.

MergeProjectSVN: Tango: # 48508 (BSVN39723): Remark 175855

Problem Description (Customer terms)
Remark 175855 ~ basically enhancements for the Common UI in MMT session.

MergeProjectSVN: Tango: # 48505 (BSVN39731): High Volume Receipt session is not allowing more than one line

Problem Description (Customer terms)
High Volume Receipt session is not allowing more than one line.

Motive source
Infor365: 292482

MergeProjectSVN: Tango: # 48497 (BSVN39744): DEM processes print alignment wrong

Problem Description (Customer terms)
DEM Flows were not printed optimally  to the page. The printing will now start at the left top corner.

Motive source
Infor365:288224

MergeProjectSVN: Tango: # 48496 (BSVN39689): CommonUI Top-level menu should not be retrieved completely

Problem Description (Customer terms)
CommonUI Top-level menu should not be retrieved completely

Motive source
TCS:800-175843

MergeProjectSVN: Tango: # 48487 (BSVN39741): Desktop shortcuts for multi-byte fields does not work

Problem Description (Customer terms)
When using the command "Send To Desktop" for a record which has multi-byte characters in the key-fields, 
when clicking this record, the session opens but does not show any records. This problem occurs in the WebUI.

Motive source
TCS:800-175324

MergeProjectSVN: Tango: # 48481 (BSVN39267): Do not allow resize column to zero width anymore - Hide Column option

Problem Description (Customer terms)
It is possible to resize a column to a width of zero. But there is no way to get the column back, because the slider to make it wider again will not be visible anymore.

MergeProjectSVN: Tango: # 48479 (BSVN39740): dialog menu buttons not correct in metal/motif

Problem Description (Customer terms)
Text on dialog buttons in Metal/Motif skin converted to ...

Motive source
Infor365:290638

MergeProjectSVN: Tango: # 48477 (BSVN39700): Add Restart to Options menu for Common UI

Problem Description (Customer terms)
Add Restart to Options menu in Common UI

MergeProjectSVN: Tango: # 48467 (BSVN39712): Refreshed applet shows empty labels on some places

Problem Description (Customer terms)
When using JRE 1.6.0_22 and refreshing WebUI applet, WebUI is showing empty labels in message boxes.

MergeProjectSVN: Tango: # 48447 (BSVN39693): Improve handling of WIN_TITLE

Problem Description (Customer terms)
Improve handling of WIN_TITLE variable

Motive source
TCS:800-175837

MergeProjectSVN: Tango: # 48437 (BSVN39697): Text was missing in grid popup

Problem Description (Customer terms)
Text was missing in grid popup

MergeProjectSVN: Tango: # 48429 (BSVN39668): Fix for tcs 175674 plus fix for all buttons appearing as menu buttons and not split buttons and plain buttons

Problem Description (Customer terms)
Fix for tcs 175674 plus fix for everything appearing as menu buttons and not split buttons or plain buttons

MergeProjectSVN: Tango: # 48415 (BSVN39686): Fixing a build problem

Problem Description (Customer terms)
Fixing a build problem

MergeProjectSVN: Tango: # 48414 (BSVN39665): Icons missing in GBF tree

Problem Description (Customer terms)
Icons missing in GBF tree

Motive source
TCS:800-175151

MergeProjectSVN: Tango: # 48412 (BSVN39683): Removal of some generics to avoid runtime casting problems.

Problem Description (Customer terms)
Removal of some generics to avoid runtime casting problems.

MergeProjectSVN: Tango: # 48411 (BSVN39637): Drop-down menu at wrong position

Problem Description (Customer terms)
Drop-down menu at wrong position for split menu buttons (and split toolbar buttons)

Motive source
TCS:800-175794

MergeProjectSVN: Tango: # 48402 (BSVN39587): System does not show the icon tray sometimes when we start Warehose Receipts session through Shipment Notices session.

Problem Description (Customer terms)
System does not show the icon tray sometimes when we start Warehose Receipts session through Shipment Notices session.

Motive source
Infor365:288069

MergeProjectSVN: Tango: # 48399 (BSVN39667): Changed image width number to width of image

Problem Description (Customer terms)
Changed image width number to width of image

MergeProjectSVN: Tango: # 48397 (BSVN39592): Added some debug to detect why shortcuts suddenly disappear

Problem Description (Customer terms)
Added some debug to detect why shortcuts suddenly disappear

Motive source
TCS:800-175606

MergeProjectSVN: Tango: # 48395 (BSVN39661): remark tcs 175532

Problem Description (Customer terms)
Solution for remark tcs 175532, if there is not a set of print commands available for common ui, simply just show a print toolbar button instead of a split button.

MergeProjectSVN: Tango: # 48394 (BSVN39621): Icons missing in GBF sessions in CommonUI

Problem Description (Customer terms)
Icons missing in GBF sessions in CommonUI. Buttons are present, but don't show their images.

Motive source
TCS:800-175452

MergeProjectSVN: Tango: # 48393 (BSVN39651): Corrected toolbar split button image

Problem Description (Customer terms)
Corrected split toolbar button image

MergeProjectSVN: Tango: # 48392 (BSVN39626): WebUI: Index is show in title bar

Problem Description (Customer terms)
Showing the active view (sort order) in the navigation bar is not wanted by all users.

Motive source
TCS:800-175542

MergeProjectSVN: Tango: # 48387 (BSVN39652): Color caching can make nodes disappear in ERP Menu

Problem Description (Customer terms)
Color caching can make nodes disappear in ERP Menu

MergeProjectSVN: Tango: # 48384 (BSVN39640): First line should not be selected

Problem Description (Customer terms)
When the grid is emptied after a select of the first line, the first line stays selected. In that specific case the selection should be emptied too.

Motive source
TCS: 800-173251

MergeProjectSVN: Tango: # 48382 (BSVN39636): Listbox coloring in grid wrong after selection in Windows Skins

Problem Description (Customer terms)
Listbox coloring in grid wrong after selection in Windows Skins

Motive source
Infor365:280590

MergeProjectSVN: Tango: # 48369 (BSVN39607): Opening filename with two spaces fails

Problem Description (Customer terms)
When through ODM, a filename is opened which contains two spaces
opening the file fails.

Motive source
Infor365:288792

MergeProjectSVN: Tango: # 48368 (BSVN39614): Fix Defects

Problem Description (Customer terms)
In the corporate skin the labels of disabled checkboxes should be displayed black.

Motive source
TCS: 800-175466
TCS: 800-173820
TCS: 800-174041

MergeProjectSVN: Tango: # 48367 (BSVN39586): Add parameters to BIRT URL shortcut

Problem Description (Customer terms)
Add parameters to BIRT URL shortcut. If the shortcut contains the parameter "webui=true", this is replaced by the
connection parameter(s) that BIRT requires to be able to use the current ERPLN backend (instead of the statically
defined backend of the "DB Connection" installed on the reportviewer server).

Motive source
Infor365:290104

MergeProjectSVN: Tango: # 48352 (BSVN39591): Copy to clipboard is sometimes incorrectly enabled

Problem Description (Customer terms)
Copy to clipboard is sometimes incorrectly enabled.

Motive source
Infor365: 291123

MergeProjectSVN: Tango: # 48350 (BSVN39604): Text not saved before printing

Problem Description (Customer terms)
Open a text field in the WebUI with the text editor.
Change the text and then press the print button.
Then the un-modified text is printed.

In Worktop the user will be prompted whether to save the text
before printing or not.

Motive source
TCS:800-172631

MergeProjectSVN: Tango: # 48340 (BSVN39580): Icons missing in text editor

Problem Description (Customer terms)
Icons missing in Text Editor. The "Save and Close", "Save", "Print", and "Help" buttons didn't have their icons in CommonUI mode.
Instead a "missing file" image was shown.

Motive source
TCS:800-175377

MergeProjectSVN: Tango: # 48328 (BSVN39567): Print-to-display is shown in an external browser

Problem Description (Customer terms)
Print-to-display is sometimes shown in an external browser.

Motive source
Infor365: 289645

MergeProjectSVN: Tango: # 48323 (BSVN39571): tcs 175455 fix

Problem Description (Customer terms)
Fix for 800 / 175455

MergeProjectSVN: Tango: # 48315 (BSVN39556): Adjusted grid popup for common ui

Problem Description (Customer terms)
Adjusted grid popup to have views and referenced and removed "send to" from menu buttons

MergeProjectSVN: Tango: # 48304 (BSVN39537): Refresh of WebUI

Problem Description (Customer terms)
Refreshing the browser hangs WebUI. The login page does not appear.

Motive source
Infor365: 290536

MergeProjectSVN: Tango: # 48303 (BSVN39552): Added back the default for help

Problem Description (Customer terms)
Added back the default for the help toolbar button

MergeProjectSVN: Tango: # 48298 (BSVN39542): Add new and save split toolbar button data and help split button

Problem Description (Customer terms)
Add new save split toolbar button data and help split button

MergeProjectSVN: Tango: # 48285 (BSVN39533): Added new and save as split toolbar buttons

Problem Description (Customer terms)
Added New and Save as plit buttons

MergeProjectSVN: Tango: # 48284 (BSVN39540): Button Bar in Composite

Problem Description (Customer terms)
In CommonUI, a buttonbar is shown in the bottom half of "Personalize Grid" session (ttadv9210m100).
In the classic mode, the buttonbar is hidden (as it should be).

Motive source
TCS:800-175175

MergeProjectSVN: Tango: # 48273 (BSVN39518): Refactoring of commonui menus for menu toolbars and split buttons

Problem Description (Customer terms)
Refactored code for split and menu toolbar buttons

MergeProjectSVN: Tango: # 48272 (BSVN39529): Fix memory leak in embedded browser

Problem Description (Customer terms)
WebUI crashes or hangs sometimes after a couple of print-to-displays. Just before this happens the IeEmbed.exe-process is using a lot of memory.

MergeProjectSVN: Tango: # 48263 (BSVN39523): Correct the companies used in the Companies Test

Problem Description (Customer terms)
Wrong company numbers used in the ChangeComapny tests

MergeProjectSVN: Tango: # 48258 (BSVN39513): CommonUI enhancements

Problem Description (Customer terms)
made print a menu button

MergeProjectSVN: Tango: # 48257 (BSVN39511): Added next and previous

Problem Description (Customer terms)
Added first and last buttons for common ui

MergeProjectSVN: Tango: # 48250 (BSVN39507): Added next and previous icons

Problem Description (Customer terms)
Added next and previous icons

MergeProjectSVN: Tango: # 48244 (BSVN39504): Menu changes

Problem Description (Customer terms)
Menu changes and fix to inforThemeName collection

MergeProjectSVN: Tango: # 48232 (BSVN39495): CompanyOn Personalization Icon

Problem Description (Customer terms)
CompanyOn Personalization Icon

Motive source
ScrumStory:LNCSA-414

MergeProjectSVN: Tango: # 48222 (BSVN39481): Have default at start of list for split buttons

Problem Description (Customer terms)
Have default at the top of list for split buttons

MergeProjectSVN: Tango: # 48211 (BSVN39472): CommonUI Enhancements

Problem Description (Customer terms)
If there is no default for special buttons, add them still and give them the label "Special 1" or "Special 2"

MergeProjectSVN: Tango: # 48206 (BSVN39468): Changed look of selected toolbar print button. If toolbar print button has only one command, make it a button

Problem Description (Customer terms)
Changed look and feel of selected toolbar print button. If toolbar print button has only one command, make it a button

MergeProjectSVN: Tango: # 48195 (BSVN39443): Fix DEM defect

Problem Description (Customer terms)
 - Pressing the back-button in a DEM subprocess the process shows a lot of not-authorized icons.
 - WebUI should not show the subapplications-icon in process diagram since WebUI is not capable of displaying the subapplications dialog.

Motive source
Infor365: 289959
Infor365: 288996

MergeProjectSVN: Tango: # 48194 (BSVN39456): Make split special button just a plain button if only command

Problem Description (Customer terms)
Make split special button just a plain button if only one command

MergeProjectSVN: Tango: # 48193 (BSVN39460): fixing some errors caused by partial refactoring

Problem Description (Customer terms)
fixing some errors caused by partial refactoring

MergeProjectSVN: Tango: # 48190 (BSVN39433): CommonUI: No Submenu Delay for main application menu

Problem Description (Customer terms)
CommonUI: No Submenu Delay for main application menu

Motive source
TCS:800-175451

MergeProjectSVN: Tango: # 48179 (BSVN39423): Process the inforThemeName parameter

Problem Description (Customer terms)
Processed the inforThemeName parameter.

MergeProjectSVN: Tango: # 48177 (BSVN39418): shortcuts enpty and do not work anymore

Problem Description (Customer terms)
shortcuts enpty and do not work anymore

Motive source
TCS:800-175471

MergeProjectSVN: Tango: # 48172 (BSVN39393): Menu Item not hidden anymore in popup menu

Problem Description (Customer terms)
Menu Item not hidden anymore in popup menu

Motive source
TCS:800-175225

MergeProjectSVN: Tango: # 48171 (BSVN39445): Add icons

Problem Description (Customer terms)
Added next and previous icons

MergeProjectSVN: Tango: # 48162 (BSVN39410): Cannot export homepages - java error

Problem Description (Customer terms)
Cannot export homepages - java error

Motive source
TCS:800-175482

MergeProjectSVN: Tango: # 48161 (BSVN39413): Clicking the totals-row results in a crash of the session

Problem Description (Customer terms)
 - Clicking the totals-row results in a crash of the session
 - Pressing forward and/or back in process diagrams results in authorization issues in the diagrams

Motive source
TCS: 800-175304

MergeProjectSVN: Tango: # 48160 (BSVN39324): text boxes are not displayed correctly

Problem Description (Customer terms)
Text scrolls out of textarea with larger fontsizes

Motive source
TCS:800-174491

MergeProjectSVN: Tango: # 48152 (BSVN39396): Addition of other colour images for CommonUI

Problem Description (Customer terms)
Addition of image files for other colours in CommonUI

MergeProjectSVN: Tango: # 48115 (BSVN39371): Separated the colors into separate property files in CommonUI

Problem Description (Customer terms)
Separated out the common ui colours and removed hard coding

MergeProjectSVN: Tango: # 48089 (BSVN39366): Fixed navigation menus mushing problem

Problem Description (Customer terms)
Fixed nagivation menu items mushing problem.

MergeProjectSVN: Tango: # 48083 (BSVN39348): Remove specific buttons dynamically to prevent duplication on tabs

Problem Description (Customer terms)
Remove specific menu values dynamically to prevent duplication of menu items on tab changes.

MergeProjectSVN: Tango: # 48073 (BSVN39344): Fixed Display Menu for common ui

Problem Description (Customer terms)
Fixed Display Menu for common ui

MergeProjectSVN: Tango: # 48068 (BSVN39330): Fix bold text properly into tabs

Problem Description (Customer terms)
Fit bold text into tabs in CommonUI

MergeProjectSVN: Tango: # 48058 (BSVN39329): Added null check incase there is no default special command

Problem Description (Customer terms)
Added null check incase there is no default special command.

MergeProjectSVN: Tango: # 48054 (BSVN39328): Remark 800/175301

Problem Description (Customer terms)
Remark fix for 800/175301

MergeProjectSVN: Tango: # 48052 (BSVN39327): Remark fix for 800/175295

Problem Description (Customer terms)
Remark fix for 800/175295

MergeProjectSVN: Tango: # 48050 (BSVN39323): Fix for 800 / 175101

Problem Description (Customer terms)
More complete fix for 800 / 175101. The behaviour for menus does not change after selecting the personalization screen.

MergeProjectSVN: Tango: # 48046 (BSVN39311): Menu item text disappearing fix. Defect 800 / 175101

Problem Description (Customer terms)
Menu item text disappearing in CommonUI after GBFForm loaded. Defect 800/175101

MergeProjectSVN: Tango: # 48035 (BSVN39301): Added special 1 and special 2 split buttons for commonui for other forms

Problem Description (Customer terms)
Added Special 1 and Special 2 buttons in commonui for other forms.

MergeProjectSVN: Tango: # 48031 (BSVN39285): Fix Defects

Problem Description (Customer terms)
TCS 800-173312: Text fields are sometimes displayed too small and their text content is not totally visible.
TCS 800-175258: Tab specific commands are displayed as button also for other tabs.
TCS 800-173965: Sometimes selecting records in a modal zoom session results in the session getting larger on every select.

MergeProjectSVN: Tango: # 48030 (BSVN39284): Text editor not opened in CommonUI

Problem Description (Customer terms)
An attempt to open the text Editor while using the CommonUI resulted in WebUI to hang

Motive source
TCS:800-175125

MergeProjectSVN: Tango: # 48025 (BSVN39293): Changed icons for new menu button style

Problem Description (Customer terms)
Changing icons for new menu button style in commonui

MergeProjectSVN: Tango: # 48019 (BSVN39286): Added back sub menus in specific data for commonui

Problem Description (Customer terms)
Added sub menus back in the specific data being passed in to the WebUI.

MergeProjectSVN: Tango: # 48018 (BSVN39283): Changed wording of menus

Problem Description (Customer terms)
Changed wording of menu headers form Action to Actions, Reference to References and View to Views

MergeProjectSVN: Tango: # 48015 (BSVN39281): Changed order of special buttons and make a button if special button only has one command

Problem Description (Customer terms)
Changed order of special buttons and make special buttons button if only one command.

MergeProjectSVN: Tango: # 47957 (BSVN39189): Changing tab does not put the focus on the first widget in the selected tab page

Problem Description (Customer terms)
Changing tab does not put the focus on the first widget in the selected tab page.

MergeProjectSVN: Tango: # 47946 (BSVN39221): Deselect split button correctly

Problem Description (Customer terms)
Deselect split button correctly

MergeProjectSVN: Tango: # 47935 (BSVN39216): Updated split button painting for commonui

Problem Description (Customer terms)
Updated split button painting to new style for common ui

MergeProjectSVN: Tango: # 47932 (BSVN39210): Corrected menu structure for commonui

Problem Description (Customer terms)
Corrected menu structure for commonui

MergeProjectSVN: Tango: # 47927 (BSVN39173): Add split buttons and Special1 and Special2 buttons

Problem Description (Customer terms)
Add split buttons and Special1 and Special2 buttons

MergeProjectSVN: Tango: # 47873 (BSVN39154): corrected menu options for commonui

Problem Description (Customer terms)
Removed Personalise toolbars in view for commonui for other menus as well.

MergeProjectSVN: Tango: # 47857 (BSVN39140): Disabled dynamically populated menus if they contain no data.

Problem Description (Customer terms)
Disabled dynamically populated menus if they contain no values.

MergeProjectSVN: Tango: # 47847 (BSVN39139): Changed Sepecific to be called Action, and added specific menu for CommonUI for satalite.

Problem Description (Customer terms)
Changed Sepecific to be called Action, and added specific menu for CommonUI for satalite.

MergeProjectSVN: Tango: # 47842 (BSVN39131): Modal dialog started in insert mode gives a Record already exists message

Problem Description (Customer terms)
Modal dialog started in insert mode gives a "Record already exists"-message.

Motive source
TCS: 800-174205

MergeProjectSVN: Tango: # 47838 (BSVN39129): Fix Button layout in the CommonUI

Problem Description (Customer terms)
Fixed the Button layout for commonui

MergeProjectSVN: Tango: # 47837 (BSVN38989): Resize grid if search panel is toggled

Problem Description (Customer terms)
Grid not resized if search area is hidden or made visible.

MergeProjectSVN: Tango: # 47833 (BSVN39117): Refactor CommonUIButtonUI

Problem Description (Customer terms)
Refactoring of CommonUI Button code as all buttons with text should look the same

MergeProjectSVN: Tango: # 47823 (BSVN39116): Added Reference

Problem Description (Customer terms)
Added Reference Menu for CommonUI

MergeProjectSVN: Tango: # 47821 (BSVN39097): commonui enhancements

Problem Description (Customer terms)
Adding Specific items other menus, removed "Personalise Toolbar" in CommonUI, fix for "Print" button displayed when already present in toolbar buttons, fix for close dialog button missing

 
MergeProjectSVN: Tango: # 47759 (BSVN39037): Error when opening excel document in WebUI

Problem Description (Customer terms)
When through ODM document attachment of type Excel is opened
and error message is given.
This occurs when the file name contains one or more space characters.

Motive source
Infor365:286170

MergeProjectSVN: Tango: # 47745 (BSVN39003): Defect fix for hyperlinks - 365 Defect 286312

Problem Description (Customer terms)
Infor365 defect 286312

MergeProjectSVN: Tango: # 47729 (BSVN38939): Improve error handling for ADFS

Problem Description (Customer terms)
Improve error handling and diagnostics when using
the ADFS SSO login url.

Motive source
ScrumStory:LNCSA-390

MergeProjectSVN: Tango: # 47722 (BSVN38983): Changing a field to a wrong value and immediately clicking a checkbox results in a wrong checkbox value

Problem Description (Customer terms)
Changing a field to a wrong value and immediately clicking a checkbox results in a wrong checkbox value.

Motive source
TCS: 800-174478

MergeProjectSVN: Tango: # 47662 (BSVN38934): Refix 282940

Problem Description (Customer terms)
Error Message record not found comes when grid is full and starting with new list.

Motive source
Infor365: 285917

MergeProjectSVN: Tango: # 47596 (BSVN38882): Fix defects

Problem Description (Customer terms)
If the same process diagram is present twice in the navigation the authorizations on applications are not always displayed correctly.

Motive source
Infor365: 284496

MergeProjectSVN: Tango: # 47570 (BSVN38817): The text area does not have the focus in the text management window of Baan 4

Problem Description (Customer terms)
The text area does not have the focus in the text management window of Baan 4.

Motive source
Infor365: 283929

MergeProjectSVN: Tango: # 47568 (BSVN38841): Retrieve Windows Timezone name

Problem Description (Customer terms)
The contacts/calendar synchronizer needs the client windows
timezone name for correct communication with MS Exchange.
Therefore this information must be passed by the WebUI to the backend.

Motive source
ScrumStory:LNCSA-397

MergeProjectSVN: Tango: # 47475 (BSVN38736): Add method to applet for JFC Unit test agent

Problem Description (Customer terms)
Add method to applet for JFC Unit test agent.

MergeProjectSVN: Tango: # 47409 (BSVN38638): Fix editable composite session defects

Problem Description (Customer terms)
Fix editable composite session defects.

MergeProjectSVN: Tango: # 47373 (BSVN38608): tssoc2505m100 has no clickable icon in grid rows

Problem Description (Customer terms)
tssoc2505m100 has no clickable icon in grid rows. In Worktop double clicking the row starts session tssoc2605m000.

Motive source
TCS:800-173141

MergeProjectSVN: Tango: # 47363 (BSVN38587): TCS800-173233 Sequence of toolbar buttons in GBF not correct

Problem Description (Customer terms)
The sequence of icons in the gbf toolbar is not correct in WebUI, looks good in Worktop.
Please use the same sequence in WebUI as in Worktop.

Motive source
TCS:800-173233

MergeProjectSVN: Tango: # 47344 (BSVN38559): Bring selected node into view

Problem Description (Customer terms)
When you drag a shipment (or an item within a shipment) from a container at the top of the list
to a container at the bottom (e.g. container 1 to container 8), 
the screen refreshes to the top instead of staying on the container where the drop occurred.
This forces the user to scroll back down to where the drop occurred.

Motive source
Infor365:283406

MergeProjectSVN: Tango: # 47343 (BSVN38389): CommonUI for menubar

Problem Description (Customer terms)
Implemented common ui for menu bar and tool bar

MergeProjectSVN: Tango: # 47336 (BSVN38554): Fix defects

Problem Description (Customer terms)
In session tcibd0101s000 one cannot change tab if the description is changed first.

Motive source
TCS: 800-173216

MergeProjectSVN: Tango: # 47328 (BSVN38517): Personalizing width of columns

Problem Description (Customer terms)
When the size of a column is changed, the size of the column will look different after the session has been restarted.

MergeProjectSVN: Tango: # 47322 (BSVN38537): Fix defects

Problem Description (Customer terms)
 - TCS 800-173235: Tab key does not respond after inserting a new record in a MMT header.
 - Infor365 281647: A session with def.find as startup command loops.
 - Infor365 282940: Pressing save after inserting a record in a MMT satellite puts the focus in the header of the MMT.
 - Infor365 282409: In time fields it is not possible to use 730 for 07:30. Time is given as 13:00.
 - Infor365 282144: Sometimes fields become mistakenly readonly. This for example happens if the label of a field is changed.
 - Internal: Some homepages cannot be closed. WebUI hangs during the close and needs to be killed.

MergeProjectSVN: Tango: # 47210 (BSVN38455): TCS800-173186 DLG_FIELD_WIDTH error in WebUI

Problem Description (Customer terms)
In the session Budget Exceptions it is possible to send a mail via the Notify option.
When this option is selected, a screen is build up via a programmable dialog.
The fields 'xi.to.address',  'xi.cc.address' and  'xi.subject' have a domain with length 256.
I have set the display width on 80, via the attribute DLG_FIELD_WIDTH.
This functionality works correct in Worktop, but does not work in WebUI.
In WebUI the control width is 256 while the maximum input length becomes 80.

Motive source
TCS:800-173186

MergeProjectSVN: Tango: # 47156 (BSVN38398): TCS800-173032 change.progress.title does not work with WebUI

Problem Description (Customer terms)
When the function change.progress.title() is used in an application, 
this has no effect on the progress dialog in the WebUI.

Motive source
TCS:800-173032

MergeProjectSVN: Tango: # 47154 (BSVN38307): dummy tab

Problem Description (Customer terms)
Dummy tab appears when a message pop-ups and the screen is frozen.

Motive source
Infor365:272537

MergeProjectSVN: Tango: # 47144 (BSVN38357): correct buttoncontainer layout

Problem Description (Customer terms)
Corrected the layout. The height is aligned with the other buttons, the width is according to the icons and text, and the field focus is corrected

MergeProjectSVN: Tango: # 47089 (BSVN38334): Record not found message if a new line is added in tdsls4100m900

Problem Description (Customer terms)
"Record not found" message is given if a new line is added in tdsls4100m900.

Motive source
Infor365: 278864

MergeProjectSVN: Tango: # 47070 (BSVN38330): Labels and edits are not aligned anymore

Problem Description (Customer terms)
Labels and text fields are not very well aligned vertically.

MergeProjectSVN: Tango: # 47063 (BSVN38278): solving defect 275866

Problem Description (Customer terms)
Expanding the menu tree will start up a session.

Motive source
Infor365:275866

MergeProjectSVN: Tango: # 47059 (BSVN38305): Change Buttons to be standard buttons with visible edges in Windows Look and Feel in popups

Problem Description (Customer terms)
Change Buttons to be visible with edges in Windows Look and Feel for popups

MergeProjectSVN: Tango: # 47052 (BSVN37823): LNCSA-336 Support Tab Move Personalizations in Grid

Problem Description (Customer terms)
Personalization enhancement.
Support of the move of a field in the grid to another Tab.

MergeProjectSVN: Tango: # 47045 (BSVN38299): Fix build

Problem Description (Customer terms)
BW error messages dialog does not show up again if the x-button is being pressed.

MergeProjectSVN: Tango: # 47044 (BSVN38288): Correct default clicks required in shortcut according to look and feel

Problem Description (Customer terms)
Correct Shortcut clicks required for Windows Look and Feel.

MergeProjectSVN: Tango: # 47032 (BSVN38292): Use external browser if embedded browser crashes

Problem Description (Customer terms)
Printing to RPT hangs WebUI for JRE 1.6.0_21 and Java Web Start.

MergeProjectSVN: Tango: # 47030 (BSVN38289): More than 1 WebUI in same browser instance

Problem Description (Customer terms)
More than one WebUI in same browser instance.

MergeProjectSVN: Tango: # 47027 (BSVN38266): Re-write of Print to display form and diagnostics form

Problem Description (Customer terms)
The embedded browser in the Print To Display form resulted in help actions invoked multiple times

MergeProjectSVN: Tango: # 46988 (BSVN38242): Bugfix

Problem Description (Customer terms)
Refactored after Admin Help screens implemented

MergeProjectSVN: Tango: # 46960 (BSVN38206): Extending hyperlink functionality

Problem Description (Customer terms)
Fix for LNSMB-376 was implemented.
Only text starting in "http://" and "mailto:" were being displayed in a hyperlink.
Now text with an "@" will appear as a hyperlink plus text starting with "mailto:", "http://", "www", and "https://"

Fix for Remark 800-173038, Project ERPFP7
The option was available to personalize a composite controller session.
The fix implemented removed that option.

Motive source
ScrumStory:LNSMB-376

MergeProjectSVN: Tango: # 46950 (BSVN38192): Fix defects

Problem Description (Customer terms)
Business object id should be hidden in tfgld4482m100.

Motive source
TCS: 800-173041

MergeProjectSVN: Tango: # 46928 (BSVN38170): Homepage import

Problem Description (Customer terms)
When opening GBF nodes the parent nodes sometimes display incomplete labels with dots at the end.

MergeProjectSVN: Tango: # 46838 (BSVN38100): Defects

Problem Description (Customer terms)
 - A checkbox in the header of a groupbox is not completely displayed.
 - Pressing the checkbox of a session in personalize mode results in a "Process no longer running"-message.

Motive source
TCS: 800-172959
TCS: 800-172884

MergeProjectSVN: Tango: # 46771 (BSVN38058): Problem with ODM and VPN client

Problem Description (Customer terms)
Cannot view ODM attached Checked-In file on client PC using WebUI.
This happens to client pc's that are using dynamic ip address (e.g. using VPN etc).

MergeProjectSVN: Tango: # 46767 (BSVN38027): Parellel sessions

Problem Description (Customer terms)
 - "Sundry costs" (tpppc2591m000) screen is hanging.
 - Embedded browser does not come up in a Java Web Started WebUI if the JDIC-components were not downloaded before.
 - Memory leaks in parallel sessions.

Motive source
Infor365: 272028

MergeProjectSVN: Tango: # 46729 (BSVN38015): Option to delete image

Problem Description (Customer terms)
Implement "Delete Image" popup menu and action.

Motive source
ScrumStory:LNCSA-370

MergeProjectSVN: Tango: # 46725 (BSVN38014): Defects

Problem Description (Customer terms)
DEM activity description shows dots at the end of the label. This happens when one of the activities have a label with more than 3 spaces behind each other.

Motive source
Infor365: 277021

MergeProjectSVN: Tango: # 46718 (BSVN38010): Show.dal.message is not working in WebUI

Problem Description (Customer terms)
show.dal.message not working in WebUI.

Motive source
Infor365:275638

MergeProjectSVN: Tango: # 46716 (BSVN37994): CommonUI

Problem Description (Customer terms)
CommonUI: Add the chevron to the main menu.

MergeProjectSVN: Tango: # 46710 (BSVN38004): Scroll in GBF while dragging

Problem Description (Customer terms)
In session "Compose Shipping Structure (whinh4125m000)", shipments cannot
be moved using drag and drop when the target is not currently visible on the screen.

Motive source
ScrumStory:LNCSA-349

MergeProjectSVN: Tango: # 46695 (BSVN37975): Floating window

Problem Description (Customer terms)
Floating windows for CommonUI.

MergeProjectSVN: Tango: # 46676 (BSVN37956): Focus change to a disabled field should be sent

Problem Description (Customer terms)
 - Internal: WebUI should send focus events for disabled/read only fields too.
 - Infor365 275907: Sometimes an empty screen remains if parallel sessions are closed.
 - TCS 800-172360: Text area's are not displayed at the same position as its label.
 - Infor365 276313: Message user profile already in use appears if Web Help is started for the second time.
 - Infor365 275696: The user profiles admin page shows the message "Sorry, you are not authenticated as an Administrator".
 - TCS 800-172591: The print-to-display sometimes shows no space between data in different columns.

MergeProjectSVN: Tango: # 46647 (BSVN37934): Toolbar images

Problem Description (Customer terms)
Icons in toolbar.

MergeProjectSVN: Tango: # 46630 (BSVN37925): Increase Web UI TIV version number

Problem Description (Customer terms)
Increase Web UI version to support ES8.7

MergeProjectSVN: Tango: # 46622 (BSVN37878): A personalized bold label does not fit on the screen.

Problem Description (Customer terms)
A personalized bold label does not fit on the screen.

MergeProjectSVN: Tango: # 46559 (BSVN37828): TCS remarks

Problem Description (Customer terms)
  - Websphere crashed because DsMessageServer was holding millions of objects in memory.
  - A Web Started WebUI cannot be closed if WebUI is waiting on a very long lasting call.
  - The webserver needs to be restarted after some time because it was holding too many files.

MergeProjectSVN: Tango: # 46513 (BSVN37819): French help from Worktop does not work

Problem Description (Customer terms)
French help from Worktop shows a script error. The links in the help page do not work because of that.

Motive source
Infor365:274377

MergeProjectSVN: Tango: # 46509 (BSVN37808): Update bwprint

Problem Description (Customer terms)
New version of bwprint.

Motive source
Infor365:272743

MergeProjectSVN: Tango: # 46508 (BSVN37810): Use numeric symbols regional settings

Problem Description (Customer terms)
Possible numeric values will be shown with as decimal symbol as a dot while others are shown with a comma. This is dependent on which language the user has set up in the user data session and Which language/currency has been set up for the units.
Using both, dot and comma, as a decimal symbol on one screen is confusing for the user.

Motive source
ScrumStory:LNCSA-317

MergeProjectSVN: Tango: # 46501 (BSVN37810): Use numeric symbols regional settings

Problem Description (Customer terms)
Possible numeric values will be shown with as decimal symbol as a dot while others are shown with a comma. This is dependent on which language the user has set up in the user data session and Which language/currency has been set up for the units.
Using both, dot and comma, as a decimal symbol on one screen is confusing for the user.

Motive source
ScrumStory:LNCSA-317

MergeProjectSVN: Tango: # 46435 (BSVN37733): Focus in embedded browser

Problem Description (Customer terms)
Pressing <Ctrl+F> in the print-to-display result does not start the find. First the report must be clicked with the mouse.

Motive source
Infor365:272161

MergeProjectSVN: Tango: # 46426 (BSVN37723): bml2html

Problem Description (Customer terms)
The print to display does not always align the vertical lines.

Motive source
TCS: 800-172707

MergeProjectSVN: Tango: # 46392 (BSVN37566): Pressing tab key does not always work

Problem Description (Customer terms)
Pressing the tab key does not always work, i.e. after closing a modal subsession pressing the tab key results in that the focus stays where it was.

Motive source
Infor365:216543

MergeProjectSVN: Tango: # 46366 (BSVN37360): Fix 218438: In SFC Gantt Chart (tisfc1126m000), zoom from the schedule view tab goes wrong

Problem Description (Customer terms)
In SFC Gantt Chart (tisfc1126m000), zoom from the schedule view tab goes wrong.

Motive source
Infor365:218438

MergeProjectSVN: Tango: # 46257 (BSVN37606): Grid doubleclick

Problem Description (Customer terms)
Icon in front of row in grid gets disabled while selecting the row. Session 'Item Order Plan' (cprrp0520m000). So it is not possible anymore to click on the icon to open the details.
Double clicking on a row does not seem to re-act all the time.
Not able to resize the start-time field in session Work Order Hours (bptmm1140m000).

MergeProjectSVN: Tango: # 46236 (BSVN37560): Icon in front of row gets disabled

Problem Description (Customer terms)
When a row is selected in any of the satellite sessions (Overview, Demand, Supply or Confirmed Demand), the Line details icon on the very far left of the row is disabled. The end user is then not allowed to open the detail by clicking on the icon since it's disabled. The workaround is to select another row, which re-enables the icon of the previously selected row which then can be clicked to open the detail

Motive source
Infor365:216258

MergeProjectSVN: Tango: # 46226 (BSVN37567): Scrolling DEM is slow

Problem Description (Customer terms)
Infor365:218505: Scrolling in DEM process flows is very slow if the scrollbar buttons are used.
Infor365:270837: Signing out of WebUI is very slow if a session is still open for JRE 1.6.0_11 or higher.
Infor365:271769: WebUI sometimes hangs during startup before the login screen is shown resulting in a totally white screen.
Infor365:271668: WebUI does not show the user name and/or the thread id in the WebUI log file on the web server.

Motive source
Infor365:218505

MergeProjectSVN: Tango: # 46213 (BSVN37548): Workflow 11 support

Problem Description (Customer terms)
Support for Fujitsu Workflow version 11.

MergeProjectSVN: Tango: # 45979 (BSVN37341): shortcuts in folder with dot

Problem Description (Customer terms)
Infor 365 269577: Shortcuts could not be saved to a path with a . in the name.

Motive source
Infor365:269577

================================================================================
The following problems have been fixed in build SW0129
================================================================================

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 48183 (BSVN39453): Add hyperlink matching

Problem Description (Customer terms)
Hyperlink detection matches extra patterns.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 48178 (BSVN39450): Fix DEM subprocess navigation

Problem Description (Customer terms)
Pressing the back-button in a DEM subprocess the process shows a lot of not-authorized icons.

Motive source
Infor365: 289959

================================================================================
The following problems have been fixed in build SW0125
================================================================================

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47722 (BSVN38983): Changing a field to a wrong value and immediately clicking a checkbox results in a wrong checkbox value

Problem Description (Customer terms)
Changing a field to a wrong value and immediately clicking a checkbox results in a wrong checkbox value.

Motive source
TCS: 800-174478

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47710 (BSVN38975): start screen employee

Problem Description (Customer terms)
Start screen employee (session Employees:tgbrg8135m000) did not work anymore, because the profile was not saved properly.

Motive source
Infor365:270926

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47702 (BSVN38972): Security warning

Problem Description (Customer terms)
WebUI gives a security problem for JRE 1.6.0_19 and higher if home pages are being used.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47662 (BSVN38934): Refix 282940

Problem Description (Customer terms)
Error Message record not found comes when grid is full and starting with new list.

Motive source
Infor365: 285917

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47624 (BSVN38889): Fix defects

Problem Description (Customer terms)
TCS 800-174219: a modal dialog started from a composite session should not start in a new tab, it should start on top of the composite session.
TCS 800-174258: the restart option in WebUI does not restart but shows the login page.
TCS 800-173227: Group.new does work anymore.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47596 (BSVN38882): Fix defects

Problem Description (Customer terms)
If the same process diagram is present twice in the navigation the authorizations on applications are not always displayed correctly.

Motive source
Infor365: 284496

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47570 (BSVN38817): The text area does not have the focus in the text management window of Baan 4

Problem Description (Customer terms)
The text area does not have the focus in the text management window of Baan 4.

Motive source
Infor365: 283929

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47381 (BSVN38619): Pressing tab key in composite session does nothing

Problem Description (Customer terms)
Pressing tab key in composite session does nothing.

Motive source
TCS:800-173219

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47373 (BSVN38608): tssoc2505m100 has no clickable icon in grid rows

Problem Description (Customer terms)
tssoc2505m100 has no clickable icon in grid rows. In Worktop double clicking the row starts session tssoc2605m000.

Motive source
TCS:800-173141

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47344 (BSVN38559): Bring selected node into view

Problem Description (Customer terms)
When you drag a shipment (or an item within a shipment) from a container at the top of the list
to a container at the bottom (e.g. container 1 to container 8), 
the screen refreshes to the top instead of staying on the container where the drop occurred.
This forces the user to scroll back down to where the drop occurred.

Motive source
Infor365:283406

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47336 (BSVN38554): Fix defects

Problem Description (Customer terms)
In session tcibd0101s000 one cannot change tab if the description is changed first.

Motive source
TCS: 800-173216

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47328 (BSVN38517): Personalizing width of columns

Problem Description (Customer terms)
When the size of a column is changed, the size of the column will look different after the session has been restarted.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47322 (BSVN38537): Fix defects

Problem Description (Customer terms)
 - TCS 800-173235: Tab key does not respond after inserting a new record in a MMT header.
 - Infor365 281647: A session with def.find as startup command loops.
 - Infor365 282940: Pressing save after inserting a record in a MMT satellite puts the focus in the header of the MMT.
 - Infor365 282409: In time fields it is not possible to use 730 for 07:30. Time is given as 13:00.
 - Infor365 282144: Sometimes fields become mistakenly readonly. This for example happens if the label of a field is changed.
 - Internal: Some homepages cannot be closed. WebUI hangs during the close and needs to be killed.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47154 (BSVN38307): dummy tab

Problem Description (Customer terms)
Dummy tab appears when a message pop-ups and the screen is frozen.

Motive source
Infor365:272537

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47144 (BSVN38357): correct buttoncontainer layout

Problem Description (Customer terms)
Corrected the layout. The height is aligned with the other buttons, the width is according to the icons and text, and the field focus is corrected

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47104 (BSVN38351): checkboxes have incorrect readonly status

Problem Description (Customer terms)
Checkboxes had incorrect readonly status

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47089 (BSVN38334): Record not found message if a new line is added in tdsls4100m900

Problem Description (Customer terms)
"Record not found" message is given if a new line is added in tdsls4100m900.

Motive source
Infor365: 278864

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47070 (BSVN38330): Labels and edits are not aligned anymore

Problem Description (Customer terms)
Labels and text fields are not very well aligned vertically.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47063 (BSVN38278): solving defect 275866

Problem Description (Customer terms)
Expanding the menu tree will start up a session.

Motive source
Infor365:275866

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47059 (BSVN38305): Change Buttons to be standard buttons with visible edges in Windows Look and Feel in popups

Problem Description (Customer terms)
Change Buttons to be visible with edges in Windows Look and Feel for popups

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47045 (BSVN38299): Fix build

Problem Description (Customer terms)
BW error messages dialog does not show up again if the x-button is being pressed.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47032 (BSVN38292): Use external browser if embedded browser crashes

Problem Description (Customer terms)
Printing to RPT hangs WebUI for JRE 1.6.0_21 and Java Web Start.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 47028 (BSVN38202): Fix defects

Problem Description (Customer terms)
Having more than one WebUI from the same browser instance is not possible.

================================================================================
The following problems have been fixed in build SW0093
================================================================================

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46950 (BSVN38192): Fix defects

Problem Description (Customer terms)
Business object id should be hidden in tfgld4482m100.

Motive source
TCS: 800-173041

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46928 (BSVN38170): Homepage import

Problem Description (Customer terms)
When opening GBF nodes the parent nodes sometimes display incomplete labels with dots at the end.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46838 (BSVN38100): Defects

Problem Description (Customer terms)
 - A checkbox in the header of a groupbox is not completely displayed.
 - Pressing the checkbox of a session in personalize mode results in a "Process no longer running"-message.

Motive source
TCS: 800-172959
TCS: 800-172884

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46771 (BSVN38058): Problem with ODM and VPN client

Problem Description (Customer terms)
Cannot view ODM attached Checked-In file on client PC using WebUI.
This happens to client pc's that are using dynamic ip address (e.g. using VPN etc).

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46767 (BSVN38027): Parellel sessions

Problem Description (Customer terms)
 - "Sundry costs" (tpppc2591m000) screen is hanging.
 - Embedded browser does not come up in a Java Web Started WebUI if the JDIC-components were not downloaded before.
 - Memory leaks in parallel sessions.

Motive source
Infor365: 272028

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46725 (BSVN38014): Defects

Problem Description (Customer terms)
DEM activity description shows dots at the end of the label. This happens when one of the activities have a label with more than 3 spaces behind each other.

Motive source
Infor365: 277021

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46718 (BSVN38010): Show.dal.message is not working in WebUI

Problem Description (Customer terms)
show.dal.message not working in WebUI.

Motive source
Infor365:275638

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46710 (BSVN38004): Scroll in GBF while dragging

Problem Description (Customer terms)
In session "Compose Shipping Structure (whinh4125m000)", shipments cannot
be moved using drag and drop when the target is not currently visible on the screen.

Motive source
ScrumStory:LNCSA-349

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46687 (BSVN37974): Fix defects

Problem Description (Customer terms)
 - Infor365 275907: Sometimes an empty screen remains if parallel sessions are closed.
 - TCS 800-172360: Text area's are not displayed at the same position as its label.
 - Infor365 276313: Message user profile already in use appears if Web Help is started for the second time.
 - Infor365 275696: The user profiles admin page shows the message "Sorry, you are not authenticated as an Administrator".
 - TCS 800-172591: The print-to-display sometimes shows no space between data in different columns.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46647 (BSVN37934): Toolbar images

Problem Description (Customer terms)
Icons in toolbar.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46622 (BSVN37878): Bla

Problem Description (Customer terms)
A personalized bold label does not fit on the screen.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46559 (BSVN37828): TCS remarks

Problem Description (Customer terms)
  - Websphere crashed because DsMessageServer was holding millions of objects in memory.
  - A Web Started WebUI cannot be closed if WebUI is waiting on a very long lasting call.
  - The webserver needs to be restarted after some time because it was holding too many files.

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46513 (BSVN37819): French help from Worktop does not work

Problem Description (Customer terms)
French help from Worktop shows a script error. The links in the help page do not work because of that.

Motive source
Infor365:274377

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46509 (BSVN37808): Update bwprint

Problem Description (Customer terms)
New version of bwprint.

Motive source
Infor365:272743

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46508 (BSVN37810): Use numeric symbols regional settings

Problem Description (Customer terms)
Possible numeric values will be shown with as decimal symbol as a dot while others are shown with a comma. This is dependent on which language the user has set up in the user data session and Which language/currency has been set up for the units.
Using both, dot and comma, as a decimal symbol on one screen is confusing for the user.

Motive source
ScrumStory:LNCSA-317

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46501 (BSVN37810): Use numeric symbols regional settings

Problem Description (Customer terms)
Possible numeric values will be shown with as decimal symbol as a dot while others are shown with a comma. This is dependent on which language the user has set up in the user data session and Which language/currency has been set up for the units.
Using both, dot and comma, as a decimal symbol on one screen is confusing for the user.

Motive source
ScrumStory:LNCSA-317

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46435 (BSVN37733): Focus in embedded browser

Problem Description (Customer terms)
Pressing <Ctrl+F> in the print-to-display result does not start the find. First the report must be clicked with the mouse.

Motive source
Infor365:272161

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46426 (BSVN37723): bml2html

Problem Description (Customer terms)
The print to display does not always align the vertical lines.

Motive source
TCS: 800-172707

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46405 (BSVN37704): Build correction

Problem Description (Customer terms)
Build failure because exclude .svn in build.xml was outside the fileset

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46392 (BSVN37566): Pressing tab key does not always work

Problem Description (Customer terms)
Pressing the tab key does not always work, i.e. after closing a modal subsession pressing the tab key results in that the focus stays where it was.

Motive source
Infor365:216543

--------------------------------------------------------------------------------

MergeProjectSVN: SwingSVN: # 46326 (BSVN37293): Manual merge

Problem Description (Customer terms)
Import of homepages does not work
Cannot import 8.6 shortcuts into 8.6.1

--------------------------------------------------------------------------------
Swing: # 44815 (BDNT36412): WDT 13384 - Cannot move ex-hidden fields up or down

Problem Description (Customer terms)
Columns that were made hidden could no longer be moved

Motive source
WDT:13384

--------------------------------------------------------------------------------

Swing: # 44809 (BDNT36385): TECH-00000-05854 - Column does not get hidden

Problem Description (Customer terms)
Column remains visible after calling inputfield.invisible from programscript.

--------------------------------------------------------------------------------

Swing: # 44800 (BDNT36405): Cannot copy user profile

Problem Description (Customer terms)
Cannot copy user profile in the user profiles dialog.

--------------------------------------------------------------------------------

Swing: # 44783 (BDNT36387): ERP-00000-70903

Problem Description (Customer terms)
Tfacp1133s000 cannot be closed if "ERP LN Project transactions" is used. This is hanging WebUI.

Motive source
SDIS: ERP-00000-70903

--------------------------------------------------------------------------------

Swing: # 44776 (BDNT36378): Instant Filter/Match Case select problem

Problem Description (Customer terms)
In a session without a menubar it seems impossible to select in the Quick Filter menu the options Instant Filter and Match Case.

--------------------------------------------------------------------------------

Swing: # 44761 (BDNT36344): WDT 13075 - Column freezing not handled well

Problem Description (Customer terms)
In grid personalization frozen columns can be hidden or moved, which causes the wrong columns to be frozen afterwards.

Motive source
WDT:13075

--------------------------------------------------------------------------------

Swing: # 44757 (BDNT36302): Made some hardcoded strings translatable (TCS 800-171924, 800-171925, 800-171926)

Problem Description (Customer terms)
Replaced hardcoded string to allow translation

Motive source
WDT:13075

================================================================================
The following problems have been fixed in build SW0063
================================================================================

Swing: # 45846 (BDNT37244): Import of homepages does not work

Problem Description (Customer terms)
Importing homepages via the admin console does not work for profiles which are stored in a directory containing the environment name.

--------------------------------------------------------------------------------

Swing: # 45774 (BDNT37184): Define fallback scenario for Web Help 8.6.1

Problem Description (Customer terms)
Define fall back scenario for Web Help 8.6.1 to 8.6

--------------------------------------------------------------------------------

Swing: # 45744 (BDNT37150): New Infor icon and Version changed to 8.6.1

Problem Description (Customer terms)
New Infor icon and Version changed to 8.6.1.

Motive source
ScrumStory:LNCSA-326

--------------------------------------------------------------------------------

Swing: # 45724 (BDNT37048): LNCSA287 Improve Scroll Performance

Problem Description (Customer terms)
Improve Scroll Performance.

Motive source
ScrumStory:LNCSA-287

--------------------------------------------------------------------------------

Swing: # 45632 (BDNT37024): bugfix Tabing on text areas

Problem Description (Customer terms)
Tabbing Doesnt Work on textareas properly when they are disabled

--------------------------------------------------------------------------------

Swing: # 45627 (BDNT37051): Session already invalidated errors in log-file if user logs out of WebUI

Problem Description (Customer terms)
Session already invalidated errors in log-file if user logs out of WebUI.

--------------------------------------------------------------------------------

Swing: # 45575 (BDNT36974): Image Scaling

Problem Description (Customer terms)
Image Scaling and resizing

--------------------------------------------------------------------------------

Swing: # 45574 (BDNT37006): startup argument session

Problem Description (Customer terms)
Menu items with startup arguments were not started up right.

Motive source
Infor365:217075

--------------------------------------------------------------------------------

Swing: # 45572 (BDNT36986): tdpur4100m900 shows a Enter a value for price unit field message when inserting a new record in the lines

Problem Description (Customer terms)
tdpur4100m900 shows a Enter a value for price unit field message when inserting a new record in the lines.

Motive source
Infor365: 216744

--------------------------------------------------------------------------------

Swing: # 45523 (BDNT36976): When grid is filled with lines inserting a new line puts the focus on the last in stead of the first enabled field in the line

Problem Description (Customer terms)
When grid is filled with lines inserting a new line puts the focus on the last in stead of the first enabled field in the line.

Motive source
infor365: 215584

--------------------------------------------------------------------------------

Swing: # 45521 (BDNT36941): Defects on DragAndDrop Images

Problem Description (Customer terms)
Drag and Droping cursor didnt change, disabling of drag and drop on images doesnt work correct,
add support for draging and droping from firefox and chrome

--------------------------------------------------------------------------------

Swing: # 45514 (BDNT36945): Open Profile functionality in a web started WebUI does not show if the profile is in use

Problem Description (Customer terms)
Open Profile functionality in a web started WebUI does not show if the profile is in use.

Motive source
infor 365: 216541

--------------------------------------------------------------------------------

Swing: # 45491 (BDNT36947): Cannot mail in ODM in WebUI

Problem Description (Customer terms)
When opening a ODM document for revision in WebUI, error messages are shown.

Motive source
infor365: 216685

--------------------------------------------------------------------------------

Swing: # 45488 (BDNT36889): Acrobat Linux feature fix

Problem Description (Customer terms)
Enable printToPDF on Linux

--------------------------------------------------------------------------------

Swing: # 45475 (BDNT36919): DEM text is not denormalized

Problem Description (Customer terms)
Texts in process diagrams shows < instead of <.

--------------------------------------------------------------------------------

Swing: # 45403 (BDNT36868): RBHP parameters in the drillback URL are decoded twice

Problem Description (Customer terms)
RBHP parameters in the drillback URL are decoded twice.

--------------------------------------------------------------------------------

Swing: # 45388 (BDNT36776): bugfix for tabbing

Problem Description (Customer terms)
Tabing did not work corectly with XGrouops and Checkboxes

================================================================================
The following problems have been fixed in build RQ0107
================================================================================

Requiem: # 45353 (BDNT36835): rbhpservlet does not re-encode parameter values in the URL

Problem Description (Customer terms)
Drillbacks do not work if values contain URL encoded characters.

--------------------------------------------------------------------------------

Requiem: # 45305 (BDNT36807): Switching index is still slow for a JRE 1.6.0_12 or higher

Problem Description (Customer terms)
Switching index is still slow for a JRE 1.6.0_12 or higher.

Motive source
Infor365: 215393

--------------------------------------------------------------------------------

Requiem: # 45227 (BDNT36747): Backport Collapse header Resize

Problem Description (Customer terms)
When records are being inserted, the header collapse is not working correctly.

--------------------------------------------------------------------------------

Requiem: # 45214 (BDNT36744): GBF sessions do not always have a menu and toolbar

Problem Description (Customer terms)
GBF sessions do not always have a menu and toolbar. 
This happens when first a progress bar is shown.

================================================================================
The following problems have been fixed in build RQ0105
================================================================================

Requiem: # 45204 (BDNT36718): Memory leak in dynamic Index Switching

Problem Description (Customer terms)
When switching from dynamic index the WebUI does not free the memory consumed by 
the previous index. 

--------------------------------------------------------------------------------

Requiem: # 45125 (BDNT36673): Resize column not working in Corelli

Problem Description (Customer terms)
Resized columns are not correctly stored in Corelli. 
If the session is restarted the columns are sized differently.

Motive source
Infor365:214412

--------------------------------------------------------------------------------

Requiem: # 45105 (BDNT36649): Workflow issues with IN-operator

Problem Description (Customer terms)
The "IN"-operator in the UDA Filter in the Work List of WebUI does not work.  

--------------------------------------------------------------------------------

Requiem: # 45045 (BDNT36593): calendar not ok

Problem Description (Customer terms)
Calendar would not show up with days in it.
List of daynames sometimes incorrect in calendar.

Motive source
Infor365: 213308
Infor365: 213573
Infor365: 213494

--------------------------------------------------------------------------------

Requiem: # 44987 (BDNT36556): XSS attacks

Problem Description (Customer terms)
WebUI is vulnerable for a cross-site-script attack (XSS attack).

--------------------------------------------------------------------------------

Requiem: # 44962 (BDNT36534): Infor365: 212791

Problem Description (Customer terms)
If a grid is in insert mode than tabbing out of the last cell will not put the focus on 
the first cell of the new line if a message is displayed when tabbing out of the last cell.

Motive source
Infor365: 212791

--------------------------------------------------------------------------------

Requiem: # 44927 (BDNT36517): WebUI defects

Problem Description (Customer terms)
 - Workflow: WebUI does not show radiobuttons if an UDA is defined to be displayed as radiobuttons. 
   WebUI shows a dropdown list instead.
 - Workflow: WebUI does not show the labels if the UDA is displayed as a selection. 
   Instead WebUI shows the values.
 - Workflow: WebUI does not show the current value for an UDA if the UDA is displayed as a selection.
 - WebUI is vulnerable for a cross-site-script attack (XSS attack).
 - The process tree sometimes is not displayed at startup and an ArrayIndexOutOfBoundsException is displayed 
   in the java console. If a refresh is done by right clicking the process tree the tree is displayed.

--------------------------------------------------------------------------------

Requiem: # 44842 (BDNT36437): Parallel sessions switch and close extemely slow for JRE 1.6_12 or higher

Problem Description (Customer terms)
Parallel sessions switch and close extremely slow for JRE 1.6_12 or higher. 
Example of parallel sessions are tpppc2511m000 and tpppc2551m000.

